/* Time-stamp: <2010-01-23 04:01:29 cyamauch> */

#ifndef DS9_COLORS_H
#define DS9_COLORS_H

static struct ds9_color Ds9_cl1[] = {
  /* 0 : DS9_A */
  { 0,
    { {0x00,0x01,0x00},{0x00,0x02,0x00},{0x00,0x04,0x00},{0x00,0x06,0x00},
      {0x00,0x07,0x00},{0x00,0x09,0x00},{0x00,0x0b,0x00},{0x00,0x0c,0x00},
      {0x00,0x0e,0x00},{0x00,0x10,0x00},{0x00,0x11,0x00},{0x00,0x13,0x00},
      {0x00,0x15,0x00},{0x00,0x16,0x00},{0x00,0x18,0x00},{0x00,0x1a,0x00},
      {0x00,0x1b,0x00},{0x00,0x1d,0x00},{0x00,0x1f,0x00},{0x00,0x20,0x00},
      {0x00,0x22,0x00},{0x00,0x24,0x00},{0x00,0x25,0x00},{0x00,0x27,0x00},
      {0x00,0x29,0x00},{0x00,0x2a,0x00},{0x00,0x2c,0x00},{0x00,0x2e,0x00},
      {0x00,0x2f,0x00},{0x00,0x31,0x00},{0x00,0x33,0x00},{0x00,0x34,0x00},
      {0x00,0x36,0x00},{0x00,0x38,0x00},{0x00,0x39,0x00},{0x00,0x3b,0x00},
      {0x00,0x3d,0x00},{0x00,0x3e,0x00},{0x00,0x40,0x00},{0x00,0x42,0x00},
      {0x00,0x43,0x00},{0x00,0x45,0x00},{0x00,0x47,0x00},{0x00,0x48,0x00},
      {0x00,0x4a,0x00},{0x00,0x4c,0x00},{0x00,0x4d,0x00},{0x00,0x4f,0x00},
      {0x00,0x51,0x00},{0x00,0x52,0x00},{0x00,0x54,0x00},{0x00,0x56,0x00},
      {0x00,0x57,0x00},{0x00,0x59,0x00},{0x00,0x5b,0x00},{0x00,0x5c,0x00},
      {0x00,0x5e,0x00},{0x00,0x60,0x00},{0x00,0x61,0x00},{0x00,0x63,0x00},
      {0x00,0x65,0x00},{0x00,0x66,0x00},{0x00,0x68,0x00},{0x00,0x6a,0x00},
      {0x00,0x6b,0x00},{0x00,0x6d,0x00},{0x00,0x6f,0x00},{0x00,0x70,0x00},
      {0x00,0x72,0x00},{0x00,0x74,0x00},{0x00,0x75,0x00},{0x00,0x77,0x00},
      {0x00,0x79,0x00},{0x00,0x7a,0x00},{0x00,0x7c,0x00},{0x00,0x7e,0x00},
      {0x00,0x7f,0x00},{0x00,0x80,0x00},{0x00,0x82,0x02},{0x00,0x84,0x03},
      {0x00,0x85,0x04},{0x00,0x87,0x05},{0x00,0x89,0x06},{0x00,0x8a,0x07},
      {0x00,0x8c,0x08},{0x00,0x8e,0x09},{0x00,0x8f,0x0a},{0x00,0x91,0x0c},
      {0x00,0x93,0x0d},{0x00,0x94,0x0e},{0x00,0x96,0x0f},{0x00,0x98,0x10},
      {0x00,0x99,0x11},{0x00,0x9b,0x12},{0x00,0x9d,0x13},{0x00,0x9e,0x14},
      {0x00,0xa0,0x16},{0x00,0xa2,0x17},{0x00,0xa3,0x18},{0x00,0xa5,0x19},
      {0x00,0xa7,0x1a},{0x00,0xa8,0x1b},{0x00,0xaa,0x1c},{0x00,0xac,0x1d},
      {0x00,0xad,0x1e},{0x00,0xaf,0x1f},{0x00,0xb1,0x21},{0x00,0xb2,0x22},
      {0x00,0xb4,0x23},{0x00,0xb6,0x24},{0x00,0xb7,0x25},{0x00,0xb9,0x26},
      {0x00,0xbb,0x27},{0x00,0xbc,0x28},{0x00,0xbe,0x29},{0x00,0xc0,0x2b},
      {0x00,0xc1,0x2c},{0x00,0xc3,0x2d},{0x00,0xc5,0x2e},{0x00,0xc6,0x2f},
      {0x00,0xc8,0x30},{0x00,0xca,0x31},{0x00,0xcb,0x32},{0x00,0xcd,0x33},
      {0x00,0xcf,0x35},{0x00,0xd0,0x36},{0x00,0xd2,0x37},{0x00,0xd4,0x38},
      {0x00,0xd5,0x39},{0x00,0xd7,0x3a},{0x00,0xd9,0x3b},{0x00,0xda,0x3c},
      {0x00,0xdc,0x3d},{0x00,0xde,0x3f},{0x00,0xdf,0x40},{0x00,0xe1,0x41},
      {0x00,0xe3,0x42},{0x00,0xe4,0x43},{0x00,0xe6,0x44},{0x00,0xe8,0x45},
      {0x00,0xe9,0x46},{0x00,0xeb,0x47},{0x00,0xed,0x49},{0x00,0xee,0x4a},
      {0x00,0xf0,0x4b},{0x00,0xf2,0x4c},{0x00,0xf3,0x4d},{0x00,0xf5,0x4e},
      {0x00,0xf7,0x4f},{0x00,0xf8,0x50},{0x00,0xfa,0x51},{0x00,0xfc,0x53},
      {0x00,0xfd,0x54},{0x00,0xff,0x55},{0x01,0xfd,0x56},{0x03,0xfb,0x57},
      {0x04,0xfa,0x58},{0x06,0xf8,0x59},{0x08,0xf6,0x5a},{0x09,0xf5,0x5b},
      {0x0b,0xf3,0x5c},{0x0d,0xf1,0x5d},{0x0e,0xf0,0x5e},{0x10,0xee,0x60},
      {0x12,0xec,0x61},{0x13,0xeb,0x62},{0x15,0xe9,0x63},{0x17,0xe7,0x64},
      {0x18,0xe6,0x65},{0x1a,0xe4,0x66},{0x1c,0xe2,0x67},{0x1d,0xe1,0x68},
      {0x1f,0xdf,0x6a},{0x21,0xdd,0x6b},{0x22,0xdc,0x6c},{0x24,0xda,0x6d},
      {0x26,0xd8,0x6e},{0x27,0xd7,0x6f},{0x29,0xd5,0x70},{0x2b,0xd3,0x71},
      {0x2c,0xd2,0x72},{0x2e,0xd0,0x74},{0x30,0xce,0x75},{0x31,0xcd,0x76},
      {0x33,0xcb,0x77},{0x35,0xc9,0x78},{0x36,0xc8,0x79},{0x38,0xc6,0x7a},
      {0x3a,0xc4,0x7b},{0x3b,0xc3,0x7c},{0x3d,0xc1,0x7e},{0x3f,0xbf,0x7f},
      {0x40,0xbe,0x80},{0x42,0xbc,0x81},{0x44,0xba,0x82},{0x45,0xb9,0x83},
      {0x47,0xb7,0x84},{0x49,0xb5,0x85},{0x4a,0xb4,0x86},{0x4c,0xb2,0x88},
      {0x4e,0xb0,0x89},{0x4f,0xaf,0x8a},{0x51,0xad,0x8b},{0x53,0xab,0x8c},
      {0x54,0xaa,0x8d},{0x56,0xa8,0x8e},{0x58,0xa6,0x8f},{0x59,0xa5,0x90},
      {0x5b,0xa3,0x91},{0x5d,0xa1,0x93},{0x5e,0xa0,0x94},{0x60,0x9e,0x95},
      {0x62,0x9c,0x96},{0x63,0x9b,0x97},{0x65,0x99,0x98},{0x67,0x97,0x99},
      {0x68,0x96,0x9a},{0x6a,0x94,0x9b},{0x6c,0x92,0x9d},{0x6d,0x91,0x9e},
      {0x6f,0x8f,0x9f},{0x71,0x8d,0xa0},{0x72,0x8c,0xa1},{0x74,0x8a,0xa2},
      {0x76,0x88,0xa3},{0x77,0x87,0xa4},{0x79,0x85,0xa5},{0x7b,0x83,0xa7},
      {0x7c,0x82,0xa8},{0x7e,0x80,0xa9},{0x7f,0x7f,0xaa},{0x81,0x7d,0xab},
      {0x82,0x7c,0xac},{0x84,0x7a,0xad},{0x86,0x78,0xae},{0x87,0x77,0xaf},
      {0x89,0x75,0xb0},{0x8b,0x73,0xb1},{0x8c,0x72,0xb2},{0x8e,0x70,0xb4},
      {0x90,0x6e,0xb5},{0x91,0x6d,0xb6},{0x93,0x6b,0xb7},{0x95,0x69,0xb8},
      {0x96,0x68,0xb9},{0x98,0x66,0xba},{0x9a,0x64,0xbb},{0x9b,0x63,0xbc},
      {0x9d,0x61,0xbe},{0x9f,0x5f,0xbf},{0xa0,0x5e,0xc0},{0xa2,0x5c,0xc1},
      {0xa4,0x5a,0xc2},{0xa5,0x59,0xc3},{0xa7,0x57,0xc4},{0xa9,0x55,0xc5},
      {0xaa,0x54,0xc6},{0xac,0x52,0xc8},{0xae,0x50,0xc9},{0xaf,0x4f,0xca},
      {0xb1,0x4d,0xcb},{0xb3,0x4b,0xcc},{0xb4,0x4a,0xcd},{0xb6,0x48,0xce},
      {0xb8,0x46,0xcf},{0xb9,0x45,0xd0},{0xbb,0x43,0xd2},{0xbd,0x41,0xd3},
      {0xbe,0x40,0xd4},{0xc0,0x3e,0xd5},{0xc2,0x3c,0xd6},{0xc3,0x3b,0xd7},
      {0xc5,0x39,0xd8},{0xc7,0x37,0xd9},{0xc8,0x36,0xda},{0xca,0x34,0xdc},
      {0xcc,0x32,0xdd},{0xcd,0x31,0xde},{0xcf,0x2f,0xdf},{0xd1,0x2d,0xe0},
      {0xd2,0x2c,0xe1},{0xd4,0x2a,0xe2},{0xd6,0x28,0xe3},{0xd7,0x27,0xe4},
      {0xd9,0x25,0xe6},{0xdb,0x23,0xe7},{0xdc,0x22,0xe8},{0xde,0x20,0xe9},
      {0xe0,0x1e,0xea},{0xe1,0x1d,0xeb},{0xe3,0x1b,0xec},{0xe5,0x19,0xed},
      {0xe6,0x18,0xee},{0xe8,0x16,0xf0},{0xea,0x14,0xf1},{0xeb,0x13,0xf2},
      {0xed,0x11,0xf3},{0xef,0x0f,0xf4},{0xf0,0x0e,0xf5},{0xf2,0x0c,0xf6},
      {0xf4,0x0a,0xf7},{0xf5,0x09,0xf8},{0xf7,0x07,0xfa},{0xf9,0x05,0xfb},
      {0xfa,0x04,0xfc},{0xfc,0x02,0xfd},{0xfe,0x00,0xfe},{0xff,0x00,0xfe},
      {0xff,0x00,0xfd},{0xff,0x00,0xfb},{0xff,0x00,0xfa},{0xff,0x00,0xf8},
      {0xff,0x00,0xf6},{0xff,0x00,0xf5},{0xff,0x00,0xf4},{0xff,0x00,0xf2},
      {0xff,0x00,0xf1},{0xff,0x00,0xef},{0xff,0x00,0xee},{0xff,0x00,0xec},
      {0xff,0x00,0xeb},{0xff,0x00,0xe9},{0xff,0x00,0xe8},{0xff,0x00,0xe6},
      {0xff,0x00,0xe5},{0xff,0x00,0xe3},{0xff,0x00,0xe2},{0xff,0x00,0xe0},
      {0xff,0x00,0xdf},{0xff,0x00,0xde},{0xff,0x00,0xdc},{0xff,0x00,0xda},
      {0xff,0x00,0xd9},{0xff,0x00,0xd7},{0xff,0x00,0xd6},{0xff,0x00,0xd5},
      {0xff,0x00,0xd3},{0xff,0x00,0xd2},{0xff,0x00,0xd0},{0xff,0x00,0xce},
      {0xff,0x00,0xcd},{0xff,0x00,0xcc},{0xff,0x00,0xca},{0xff,0x00,0xc9},
      {0xff,0x00,0xc7},{0xff,0x00,0xc6},{0xff,0x00,0xc4},{0xff,0x00,0xc3},
      {0xff,0x00,0xc1},{0xff,0x00,0xc0},{0xff,0x00,0xbe},{0xff,0x00,0xbd},
      {0xff,0x00,0xbb},{0xff,0x00,0xba},{0xff,0x00,0xb8},{0xff,0x00,0xb7},
      {0xff,0x00,0xb6},{0xff,0x00,0xb4},{0xff,0x00,0xb2},{0xff,0x00,0xb1},
      {0xff,0x00,0xaf},{0xff,0x00,0xae},{0xff,0x00,0xad},{0xff,0x00,0xab},
      {0xff,0x00,0xaa},{0xff,0x00,0xa8},{0xff,0x00,0xa6},{0xff,0x00,0xa5},
      {0xff,0x00,0xa4},{0xff,0x00,0xa2},{0xff,0x00,0xa1},{0xff,0x00,0x9f},
      {0xff,0x00,0x9e},{0xff,0x00,0x9c},{0xff,0x00,0x9b},{0xff,0x00,0x99},
      {0xff,0x00,0x98},{0xff,0x00,0x96},{0xff,0x00,0x95},{0xff,0x00,0x93},
      {0xff,0x00,0x92},{0xff,0x00,0x90},{0xff,0x00,0x8f},{0xff,0x00,0x8e},
      {0xff,0x00,0x8c},{0xff,0x00,0x8a},{0xff,0x00,0x89},{0xff,0x00,0x87},
      {0xff,0x00,0x86},{0xff,0x00,0x85},{0xff,0x00,0x83},{0xff,0x00,0x82},
      {0xff,0x00,0x80},{0xff,0x00,0x7e},{0xff,0x00,0x7d},{0xff,0x00,0x7c},
      {0xff,0x00,0x7a},{0xff,0x00,0x78},{0xff,0x00,0x77},{0xff,0x00,0x75},
      {0xff,0x00,0x73},{0xff,0x00,0x72},{0xff,0x00,0x70},{0xff,0x00,0x6f},
      {0xff,0x00,0x6d},{0xff,0x00,0x6b},{0xff,0x00,0x6a},{0xff,0x00,0x68},
      {0xff,0x00,0x66},{0xff,0x00,0x65},{0xff,0x00,0x64},{0xff,0x00,0x62},
      {0xff,0x00,0x60},{0xff,0x00,0x5f},{0xff,0x00,0x5d},{0xff,0x00,0x5b},
      {0xff,0x00,0x5a},{0xff,0x00,0x59},{0xff,0x00,0x57},{0xff,0x00,0x55},
      {0xff,0x00,0x54},{0xff,0x00,0x52},{0xff,0x00,0x50},{0xff,0x00,0x4f},
      {0xff,0x00,0x4d},{0xff,0x00,0x4c},{0xff,0x00,0x4a},{0xff,0x00,0x48},
      {0xff,0x00,0x47},{0xff,0x00,0x45},{0xff,0x00,0x43},{0xff,0x00,0x42},
      {0xff,0x00,0x41},{0xff,0x00,0x3f},{0xff,0x00,0x3d},{0xff,0x00,0x3c},
      {0xff,0x00,0x3a},{0xff,0x00,0x38},{0xff,0x00,0x37},{0xff,0x00,0x35},
      {0xff,0x00,0x34},{0xff,0x00,0x32},{0xff,0x00,0x30},{0xff,0x00,0x2f},
      {0xff,0x00,0x2d},{0xff,0x00,0x2c},{0xff,0x00,0x2a},{0xff,0x00,0x29},
      {0xff,0x00,0x27},{0xff,0x00,0x25},{0xff,0x00,0x24},{0xff,0x00,0x22},
      {0xff,0x00,0x21},{0xff,0x00,0x1f},{0xff,0x00,0x1d},{0xff,0x00,0x1c},
      {0xff,0x00,0x1a},{0xff,0x00,0x18},{0xff,0x00,0x17},{0xff,0x00,0x16},
      {0xff,0x00,0x14},{0xff,0x00,0x12},{0xff,0x00,0x11},{0xff,0x00,0x0f},
      {0xff,0x00,0x0d},{0xff,0x00,0x0c},{0xff,0x00,0x0a},{0xff,0x00,0x09},
      {0xff,0x00,0x07},{0xff,0x00,0x05},{0xff,0x00,0x04},{0xff,0x00,0x02},
      {0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x02,0x00},{0xff,0x04,0x00},
      {0xff,0x05,0x00},{0xff,0x07,0x00},{0xff,0x09,0x00},{0xff,0x0b,0x00},
      {0xff,0x0d,0x00},{0xff,0x0f,0x00},{0xff,0x10,0x00},{0xff,0x12,0x00},
      {0xff,0x14,0x00},{0xff,0x16,0x00},{0xff,0x17,0x00},{0xff,0x1a,0x00},
      {0xff,0x1b,0x00},{0xff,0x1d,0x00},{0xff,0x1f,0x00},{0xff,0x21,0x00},
      {0xff,0x22,0x00},{0xff,0x24,0x00},{0xff,0x26,0x00},{0xff,0x28,0x00},
      {0xff,0x2a,0x00},{0xff,0x2b,0x00},{0xff,0x2d,0x00},{0xff,0x2f,0x00},
      {0xff,0x31,0x00},{0xff,0x32,0x00},{0xff,0x35,0x00},{0xff,0x36,0x00},
      {0xff,0x38,0x00},{0xff,0x3a,0x00},{0xff,0x3c,0x00},{0xff,0x3d,0x00},
      {0xff,0x3f,0x00},{0xff,0x41,0x00},{0xff,0x43,0x00},{0xff,0x45,0x00},
      {0xff,0x46,0x00},{0xff,0x48,0x00},{0xff,0x4a,0x00},{0xff,0x4c,0x00},
      {0xff,0x4d,0x00},{0xff,0x4f,0x00},{0xff,0x51,0x00},{0xff,0x53,0x00},
      {0xff,0x55,0x00},{0xff,0x57,0x00},{0xff,0x58,0x00},{0xff,0x5a,0x00},
      {0xff,0x5c,0x00},{0xff,0x5e,0x00},{0xff,0x5f,0x00},{0xff,0x62,0x00},
      {0xff,0x63,0x00},{0xff,0x65,0x00},{0xff,0x67,0x00},{0xff,0x69,0x00},
      {0xff,0x6a,0x00},{0xff,0x6c,0x00},{0xff,0x6e,0x00},{0xff,0x70,0x00},
      {0xff,0x72,0x00},{0xff,0x73,0x00},{0xff,0x75,0x00},{0xff,0x77,0x00},
      {0xff,0x79,0x00},{0xff,0x7a,0x00},{0xff,0x7d,0x00},{0xff,0x7e,0x00},
      {0xff,0x80,0x00},{0xff,0x82,0x00},{0xff,0x84,0x00},{0xff,0x85,0x00},
      {0xff,0x87,0x00},{0xff,0x89,0x00},{0xff,0x8b,0x00},{0xff,0x8d,0x00},
      {0xff,0x8e,0x00},{0xff,0x90,0x00},{0xff,0x92,0x00},{0xff,0x94,0x00},
      {0xff,0x95,0x00},{0xff,0x98,0x00},{0xff,0x99,0x00},{0xff,0x9b,0x00},
      {0xff,0x9d,0x00},{0xff,0x9f,0x00},{0xff,0xa0,0x00},{0xff,0xa2,0x00},
      {0xff,0xa4,0x00},{0xff,0xa6,0x00},{0xff,0xa8,0x00},{0xff,0xaa,0x00},
      {0xff,0xab,0x00},{0xff,0xad,0x00},{0xff,0xaf,0x00},{0xff,0xb1,0x00},
      {0xff,0xb3,0x00},{0xff,0xb4,0x00},{0xff,0xb6,0x00},{0xff,0xb8,0x00},
      {0xff,0xba,0x00},{0xff,0xbb,0x00},{0xff,0xbe,0x00},{0xff,0xbf,0x00},
      {0xff,0xc1,0x00},{0xff,0xc3,0x00},{0xff,0xc5,0x00},{0xff,0xc6,0x00},
      {0xff,0xc8,0x00},{0xff,0xca,0x00},{0xff,0xcc,0x00},{0xff,0xce,0x00},
      {0xff,0xcf,0x00},{0xff,0xd1,0x00},{0xff,0xd3,0x00},{0xff,0xd5,0x00},
      {0xff,0xd6,0x00},{0xff,0xd9,0x00},{0xff,0xda,0x00},{0xff,0xdc,0x00},
      {0xff,0xde,0x00},{0xff,0xe0,0x00},{0xff,0xe1,0x00},{0xff,0xe3,0x00},
      {0xff,0xe5,0x00},{0xff,0xe7,0x00},{0xff,0xe9,0x00},{0xff,0xea,0x00},
      {0xff,0xec,0x00},{0xff,0xee,0x00},{0xff,0xf0,0x00},{0xff,0xf2,0x00},
      {0xff,0xf4,0x00},{0xff,0xf5,0x00},{0xff,0xf7,0x00},{0xff,0xf9,0x00},
      {0xff,0xfb,0x00}
    }
  },
  /* 1 */
  { 0,
    { {0x00,0x00,0x01},{0x00,0x00,0x02},{0x00,0x00,0x04},{0x00,0x00,0x06},
      {0x00,0x00,0x07},{0x00,0x00,0x09},{0x00,0x00,0x0b},{0x00,0x00,0x0c},
      {0x00,0x00,0x0e},{0x00,0x00,0x10},{0x00,0x00,0x11},{0x00,0x00,0x13},
      {0x00,0x00,0x15},{0x00,0x00,0x16},{0x00,0x00,0x18},{0x00,0x00,0x1a},
      {0x00,0x00,0x1b},{0x00,0x00,0x1d},{0x00,0x00,0x1f},{0x00,0x00,0x20},
      {0x00,0x00,0x22},{0x00,0x00,0x24},{0x00,0x00,0x25},{0x00,0x00,0x27},
      {0x00,0x00,0x29},{0x00,0x00,0x2a},{0x00,0x00,0x2c},{0x00,0x00,0x2e},
      {0x00,0x00,0x2f},{0x00,0x00,0x31},{0x00,0x00,0x33},{0x00,0x00,0x34},
      {0x00,0x00,0x36},{0x00,0x00,0x38},{0x00,0x00,0x39},{0x00,0x00,0x3b},
      {0x00,0x00,0x3d},{0x00,0x00,0x3e},{0x00,0x00,0x40},{0x00,0x00,0x42},
      {0x00,0x00,0x43},{0x00,0x00,0x45},{0x00,0x00,0x47},{0x00,0x00,0x48},
      {0x00,0x00,0x4a},{0x00,0x00,0x4c},{0x00,0x00,0x4d},{0x00,0x00,0x4f},
      {0x00,0x00,0x51},{0x00,0x00,0x52},{0x00,0x00,0x54},{0x00,0x00,0x56},
      {0x00,0x00,0x57},{0x00,0x00,0x59},{0x00,0x00,0x5b},{0x00,0x00,0x5c},
      {0x00,0x00,0x5e},{0x00,0x00,0x60},{0x00,0x00,0x61},{0x00,0x00,0x63},
      {0x00,0x00,0x65},{0x00,0x00,0x66},{0x00,0x00,0x68},{0x00,0x00,0x6a},
      {0x00,0x00,0x6b},{0x00,0x00,0x6d},{0x00,0x00,0x6f},{0x00,0x00,0x70},
      {0x00,0x00,0x72},{0x00,0x00,0x74},{0x00,0x00,0x75},{0x00,0x00,0x77},
      {0x00,0x00,0x79},{0x00,0x00,0x7a},{0x00,0x00,0x7c},{0x00,0x00,0x7e},
      {0x00,0x00,0x7f},{0x00,0x00,0x80},{0x00,0x00,0x82},{0x00,0x00,0x84},
      {0x00,0x00,0x85},{0x00,0x00,0x87},{0x00,0x00,0x89},{0x00,0x00,0x8a},
      {0x00,0x00,0x8c},{0x00,0x00,0x8e},{0x00,0x00,0x8f},{0x00,0x00,0x91},
      {0x00,0x00,0x93},{0x00,0x00,0x94},{0x00,0x00,0x96},{0x00,0x00,0x98},
      {0x00,0x00,0x99},{0x00,0x00,0x9b},{0x00,0x00,0x9d},{0x00,0x00,0x9e},
      {0x00,0x00,0xa0},{0x00,0x00,0xa2},{0x00,0x00,0xa3},{0x00,0x00,0xa5},
      {0x00,0x00,0xa7},{0x00,0x00,0xa8},{0x00,0x00,0xaa},{0x00,0x00,0xac},
      {0x00,0x00,0xad},{0x00,0x00,0xaf},{0x00,0x00,0xb1},{0x00,0x00,0xb2},
      {0x00,0x00,0xb4},{0x00,0x00,0xb6},{0x00,0x00,0xb7},{0x00,0x00,0xb9},
      {0x00,0x00,0xbb},{0x00,0x00,0xbc},{0x00,0x00,0xbe},{0x00,0x00,0xc0},
      {0x00,0x00,0xc1},{0x00,0x00,0xc3},{0x00,0x00,0xc5},{0x00,0x00,0xc6},
      {0x00,0x00,0xc8},{0x00,0x00,0xca},{0x00,0x00,0xcb},{0x00,0x00,0xcd},
      {0x00,0x00,0xcf},{0x00,0x00,0xd0},{0x00,0x00,0xd2},{0x00,0x00,0xd4},
      {0x00,0x00,0xd5},{0x00,0x00,0xd7},{0x00,0x00,0xd9},{0x00,0x00,0xda},
      {0x00,0x00,0xdc},{0x00,0x00,0xde},{0x00,0x00,0xdf},{0x00,0x00,0xe1},
      {0x00,0x00,0xe3},{0x00,0x00,0xe4},{0x00,0x00,0xe6},{0x00,0x00,0xe8},
      {0x00,0x00,0xe9},{0x00,0x00,0xeb},{0x00,0x00,0xed},{0x00,0x00,0xee},
      {0x00,0x00,0xf0},{0x00,0x00,0xf2},{0x00,0x00,0xf3},{0x00,0x00,0xf5},
      {0x00,0x00,0xf7},{0x00,0x00,0xf8},{0x00,0x00,0xfa},{0x00,0x00,0xfc},
      {0x00,0x00,0xfd},{0x00,0x00,0xff},{0x01,0x00,0xfd},{0x03,0x00,0xfb},
      {0x04,0x00,0xfa},{0x06,0x00,0xf8},{0x08,0x00,0xf6},{0x09,0x00,0xf5},
      {0x0b,0x00,0xf3},{0x0d,0x00,0xf1},{0x0e,0x00,0xf0},{0x10,0x00,0xee},
      {0x12,0x00,0xec},{0x13,0x00,0xeb},{0x15,0x00,0xe9},{0x17,0x00,0xe7},
      {0x18,0x00,0xe6},{0x1a,0x00,0xe4},{0x1c,0x00,0xe2},{0x1d,0x00,0xe1},
      {0x1f,0x00,0xdf},{0x21,0x00,0xdd},{0x22,0x00,0xdc},{0x24,0x00,0xda},
      {0x26,0x00,0xd8},{0x27,0x00,0xd7},{0x29,0x00,0xd5},{0x2b,0x00,0xd3},
      {0x2c,0x00,0xd2},{0x2e,0x00,0xd0},{0x30,0x00,0xce},{0x31,0x00,0xcd},
      {0x33,0x00,0xcb},{0x35,0x00,0xc9},{0x36,0x00,0xc8},{0x38,0x00,0xc6},
      {0x3a,0x00,0xc4},{0x3b,0x00,0xc3},{0x3d,0x00,0xc1},{0x3f,0x00,0xbf},
      {0x40,0x00,0xbe},{0x42,0x00,0xbc},{0x44,0x00,0xba},{0x45,0x00,0xb9},
      {0x47,0x00,0xb7},{0x49,0x00,0xb5},{0x4a,0x00,0xb4},{0x4c,0x00,0xb2},
      {0x4e,0x00,0xb0},{0x4f,0x00,0xaf},{0x51,0x00,0xad},{0x53,0x00,0xab},
      {0x54,0x00,0xaa},{0x56,0x00,0xa8},{0x58,0x00,0xa6},{0x59,0x00,0xa5},
      {0x5b,0x00,0xa3},{0x5d,0x00,0xa1},{0x5e,0x00,0xa0},{0x60,0x00,0x9e},
      {0x62,0x00,0x9c},{0x63,0x00,0x9b},{0x65,0x00,0x99},{0x67,0x00,0x97},
      {0x68,0x00,0x96},{0x6a,0x00,0x94},{0x6c,0x00,0x92},{0x6d,0x00,0x91},
      {0x6f,0x00,0x8f},{0x71,0x00,0x8d},{0x72,0x00,0x8c},{0x74,0x00,0x8a},
      {0x76,0x00,0x88},{0x77,0x00,0x87},{0x79,0x00,0x85},{0x7b,0x00,0x83},
      {0x7c,0x00,0x82},{0x7e,0x00,0x80},{0x7f,0x00,0x7f},{0x81,0x00,0x7d},
      {0x82,0x00,0x7c},{0x84,0x00,0x7a},{0x86,0x00,0x78},{0x87,0x00,0x77},
      {0x89,0x00,0x75},{0x8b,0x00,0x73},{0x8c,0x00,0x72},{0x8e,0x00,0x70},
      {0x90,0x00,0x6e},{0x91,0x00,0x6d},{0x93,0x00,0x6b},{0x95,0x00,0x69},
      {0x96,0x00,0x68},{0x98,0x00,0x66},{0x9a,0x00,0x64},{0x9b,0x00,0x63},
      {0x9d,0x00,0x61},{0x9f,0x00,0x5f},{0xa0,0x00,0x5e},{0xa2,0x00,0x5c},
      {0xa4,0x00,0x5a},{0xa5,0x00,0x59},{0xa7,0x00,0x57},{0xa9,0x00,0x55},
      {0xaa,0x00,0x54},{0xac,0x00,0x52},{0xae,0x00,0x50},{0xaf,0x00,0x4f},
      {0xb1,0x00,0x4d},{0xb3,0x00,0x4b},{0xb4,0x00,0x4a},{0xb6,0x00,0x48},
      {0xb8,0x00,0x46},{0xb9,0x00,0x45},{0xbb,0x00,0x43},{0xbd,0x00,0x41},
      {0xbe,0x00,0x40},{0xc0,0x00,0x3e},{0xc2,0x00,0x3c},{0xc3,0x00,0x3b},
      {0xc5,0x00,0x39},{0xc7,0x00,0x37},{0xc8,0x00,0x36},{0xca,0x00,0x34},
      {0xcc,0x00,0x32},{0xcd,0x00,0x31},{0xcf,0x00,0x2f},{0xd1,0x00,0x2d},
      {0xd2,0x00,0x2c},{0xd4,0x00,0x2a},{0xd6,0x00,0x28},{0xd7,0x00,0x27},
      {0xd9,0x00,0x25},{0xdb,0x00,0x23},{0xdc,0x00,0x22},{0xde,0x00,0x20},
      {0xe0,0x00,0x1e},{0xe1,0x00,0x1d},{0xe3,0x00,0x1b},{0xe5,0x00,0x19},
      {0xe6,0x00,0x18},{0xe8,0x00,0x16},{0xea,0x00,0x14},{0xeb,0x00,0x13},
      {0xed,0x00,0x11},{0xef,0x00,0x0f},{0xf0,0x00,0x0e},{0xf2,0x00,0x0c},
      {0xf4,0x00,0x0a},{0xf5,0x00,0x09},{0xf7,0x00,0x07},{0xf9,0x00,0x05},
      {0xfa,0x00,0x04},{0xfc,0x00,0x02},{0xfe,0x00,0x00},{0xff,0x00,0x00},
      {0xff,0x01,0x00},{0xff,0x03,0x00},{0xff,0x05,0x00},{0xff,0x06,0x00},
      {0xff,0x08,0x00},{0xff,0x0a,0x00},{0xff,0x0b,0x00},{0xff,0x0d,0x00},
      {0xff,0x0f,0x00},{0xff,0x10,0x00},{0xff,0x12,0x00},{0xff,0x14,0x00},
      {0xff,0x15,0x00},{0xff,0x17,0x00},{0xff,0x19,0x00},{0xff,0x1a,0x00},
      {0xff,0x1c,0x00},{0xff,0x1e,0x00},{0xff,0x1f,0x00},{0xff,0x21,0x00},
      {0xff,0x23,0x00},{0xff,0x24,0x00},{0xff,0x26,0x00},{0xff,0x28,0x00},
      {0xff,0x29,0x00},{0xff,0x2b,0x00},{0xff,0x2d,0x00},{0xff,0x2e,0x00},
      {0xff,0x30,0x00},{0xff,0x32,0x00},{0xff,0x33,0x00},{0xff,0x35,0x00},
      {0xff,0x37,0x00},{0xff,0x38,0x00},{0xff,0x3a,0x00},{0xff,0x3c,0x00},
      {0xff,0x3d,0x00},{0xff,0x3f,0x00},{0xff,0x41,0x00},{0xff,0x42,0x00},
      {0xff,0x44,0x00},{0xff,0x46,0x00},{0xff,0x47,0x00},{0xff,0x49,0x00},
      {0xff,0x4b,0x00},{0xff,0x4c,0x00},{0xff,0x4e,0x00},{0xff,0x50,0x00},
      {0xff,0x51,0x00},{0xff,0x53,0x00},{0xff,0x55,0x00},{0xff,0x56,0x00},
      {0xff,0x58,0x00},{0xff,0x5a,0x00},{0xff,0x5b,0x00},{0xff,0x5d,0x00},
      {0xff,0x5f,0x00},{0xff,0x60,0x00},{0xff,0x62,0x00},{0xff,0x64,0x00},
      {0xff,0x65,0x00},{0xff,0x67,0x00},{0xff,0x69,0x00},{0xff,0x6a,0x00},
      {0xff,0x6c,0x00},{0xff,0x6e,0x00},{0xff,0x6f,0x00},{0xff,0x71,0x00},
      {0xff,0x73,0x00},{0xff,0x74,0x00},{0xff,0x76,0x00},{0xff,0x78,0x00},
      {0xff,0x79,0x00},{0xff,0x7b,0x00},{0xff,0x7d,0x00},{0xff,0x7e,0x00},
      {0xff,0x80,0x00},{0xff,0x81,0x00},{0xff,0x83,0x00},{0xff,0x85,0x00},
      {0xff,0x86,0x00},{0xff,0x88,0x00},{0xff,0x8a,0x00},{0xff,0x8b,0x00},
      {0xff,0x8d,0x00},{0xff,0x8f,0x00},{0xff,0x90,0x00},{0xff,0x92,0x00},
      {0xff,0x94,0x00},{0xff,0x95,0x00},{0xff,0x97,0x00},{0xff,0x99,0x00},
      {0xff,0x9a,0x00},{0xff,0x9c,0x00},{0xff,0x9e,0x00},{0xff,0x9f,0x00},
      {0xff,0xa1,0x00},{0xff,0xa3,0x00},{0xff,0xa4,0x00},{0xff,0xa6,0x00},
      {0xff,0xa8,0x00},{0xff,0xa9,0x00},{0xff,0xab,0x00},{0xff,0xac,0x00},
      {0xff,0xae,0x00},{0xff,0xb0,0x00},{0xff,0xb1,0x00},{0xff,0xb3,0x00},
      {0xff,0xb5,0x00},{0xff,0xb6,0x00},{0xff,0xb8,0x00},{0xff,0xba,0x00},
      {0xff,0xbb,0x00},{0xff,0xbd,0x00},{0xff,0xbf,0x00},{0xff,0xc0,0x00},
      {0xff,0xc2,0x00},{0xff,0xc4,0x00},{0xff,0xc5,0x00},{0xff,0xc7,0x00},
      {0xff,0xc9,0x00},{0xff,0xca,0x00},{0xff,0xcc,0x00},{0xff,0xce,0x00},
      {0xff,0xcf,0x00},{0xff,0xd1,0x00},{0xff,0xd3,0x00},{0xff,0xd4,0x00},
      {0xff,0xd6,0x00},{0xff,0xd8,0x00},{0xff,0xd9,0x00},{0xff,0xdb,0x00},
      {0xff,0xdd,0x00},{0xff,0xde,0x00},{0xff,0xe0,0x00},{0xff,0xe2,0x00},
      {0xff,0xe3,0x00},{0xff,0xe5,0x00},{0xff,0xe7,0x00},{0xff,0xe8,0x00},
      {0xff,0xea,0x00},{0xff,0xec,0x00},{0xff,0xed,0x00},{0xff,0xef,0x00},
      {0xff,0xf1,0x00},{0xff,0xf2,0x00},{0xff,0xf4,0x00},{0xff,0xf6,0x00},
      {0xff,0xf7,0x00},{0xff,0xf9,0x00},{0xff,0xfb,0x00},{0xff,0xfc,0x00},
      {0xff,0xfe,0x00},{0xff,0xff,0x00},{0xff,0xff,0x02},{0xff,0xff,0x04},
      {0xff,0xff,0x05},{0xff,0xff,0x07},{0xff,0xff,0x09},{0xff,0xff,0x0a},
      {0xff,0xff,0x0c},{0xff,0xff,0x0e},{0xff,0xff,0x0f},{0xff,0xff,0x11},
      {0xff,0xff,0x13},{0xff,0xff,0x14},{0xff,0xff,0x16},{0xff,0xff,0x18},
      {0xff,0xff,0x19},{0xff,0xff,0x1b},{0xff,0xff,0x1d},{0xff,0xff,0x1e},
      {0xff,0xff,0x20},{0xff,0xff,0x22},{0xff,0xff,0x23},{0xff,0xff,0x25},
      {0xff,0xff,0x27},{0xff,0xff,0x28},{0xff,0xff,0x2a},{0xff,0xff,0x2c},
      {0xff,0xff,0x2d},{0xff,0xff,0x2f},{0xff,0xff,0x31},{0xff,0xff,0x32},
      {0xff,0xff,0x34},{0xff,0xff,0x36},{0xff,0xff,0x37},{0xff,0xff,0x39},
      {0xff,0xff,0x3b},{0xff,0xff,0x3c},{0xff,0xff,0x3e},{0xff,0xff,0x40},
      {0xff,0xff,0x41},{0xff,0xff,0x43},{0xff,0xff,0x45},{0xff,0xff,0x46},
      {0xff,0xff,0x48},{0xff,0xff,0x4a},{0xff,0xff,0x4b},{0xff,0xff,0x4d},
      {0xff,0xff,0x4f},{0xff,0xff,0x50},{0xff,0xff,0x52},{0xff,0xff,0x54},
      {0xff,0xff,0x55},{0xff,0xff,0x57},{0xff,0xff,0x58},{0xff,0xff,0x5a},
      {0xff,0xff,0x5c},{0xff,0xff,0x5d},{0xff,0xff,0x5f},{0xff,0xff,0x61},
      {0xff,0xff,0x62},{0xff,0xff,0x64},{0xff,0xff,0x66},{0xff,0xff,0x67},
      {0xff,0xff,0x69},{0xff,0xff,0x6b},{0xff,0xff,0x6c},{0xff,0xff,0x6e},
      {0xff,0xff,0x70},{0xff,0xff,0x71},{0xff,0xff,0x73},{0xff,0xff,0x75},
      {0xff,0xff,0x76},{0xff,0xff,0x78},{0xff,0xff,0x7a},{0xff,0xff,0x7b},
      {0xff,0xff,0x7d},{0xff,0xff,0x7f},{0xff,0xff,0x80},{0xff,0xff,0x82},
      {0xff,0xff,0x83},{0xff,0xff,0x85},{0xff,0xff,0x87},{0xff,0xff,0x88},
      {0xff,0xff,0x8a},{0xff,0xff,0x8c},{0xff,0xff,0x8d},{0xff,0xff,0x8f},
      {0xff,0xff,0x91},{0xff,0xff,0x92},{0xff,0xff,0x94},{0xff,0xff,0x96},
      {0xff,0xff,0x97},{0xff,0xff,0x99},{0xff,0xff,0x9b},{0xff,0xff,0x9c},
      {0xff,0xff,0x9e},{0xff,0xff,0xa0},{0xff,0xff,0xa1},{0xff,0xff,0xa3},
      {0xff,0xff,0xa5},{0xff,0xff,0xa6},{0xff,0xff,0xa8},{0xff,0xff,0xaa},
      {0xff,0xff,0xab},{0xff,0xff,0xad},{0xff,0xff,0xaf},{0xff,0xff,0xb0},
      {0xff,0xff,0xb2},{0xff,0xff,0xb4},{0xff,0xff,0xb5},{0xff,0xff,0xb7},
      {0xff,0xff,0xb9},{0xff,0xff,0xba},{0xff,0xff,0xbc},{0xff,0xff,0xbe},
      {0xff,0xff,0xbf},{0xff,0xff,0xc1},{0xff,0xff,0xc3},{0xff,0xff,0xc4},
      {0xff,0xff,0xc6},{0xff,0xff,0xc8},{0xff,0xff,0xc9},{0xff,0xff,0xcb},
      {0xff,0xff,0xcd},{0xff,0xff,0xce},{0xff,0xff,0xd0},{0xff,0xff,0xd2},
      {0xff,0xff,0xd3},{0xff,0xff,0xd5},{0xff,0xff,0xd7},{0xff,0xff,0xd8},
      {0xff,0xff,0xda},{0xff,0xff,0xdc},{0xff,0xff,0xdd},{0xff,0xff,0xdf},
      {0xff,0xff,0xe1},{0xff,0xff,0xe2},{0xff,0xff,0xe4},{0xff,0xff,0xe6},
      {0xff,0xff,0xe7},{0xff,0xff,0xe9},{0xff,0xff,0xeb},{0xff,0xff,0xec},
      {0xff,0xff,0xee},{0xff,0xff,0xf0},{0xff,0xff,0xf1},{0xff,0xff,0xf3},
      {0xff,0xff,0xf5},{0xff,0xff,0xf6},{0xff,0xff,0xf8},{0xff,0xff,0xfa},
      {0xff,0xff,0xfb}
    }
  },
  /* 2 */
  { 0,
    { {0x00,0x00,0x00},{0x01,0x00,0x00},{0x02,0x00,0x00},{0x03,0x00,0x00},
      {0x03,0x00,0x00},{0x04,0x00,0x00},{0x05,0x00,0x00},{0x06,0x00,0x00},
      {0x07,0x00,0x00},{0x08,0x00,0x00},{0x08,0x00,0x00},{0x09,0x00,0x00},
      {0x0a,0x00,0x00},{0x0b,0x00,0x00},{0x0c,0x00,0x00},{0x0d,0x00,0x00},
      {0x0d,0x00,0x00},{0x0e,0x00,0x00},{0x0f,0x00,0x00},{0x10,0x00,0x00},
      {0x11,0x00,0x00},{0x12,0x00,0x00},{0x12,0x00,0x00},{0x13,0x00,0x00},
      {0x14,0x00,0x00},{0x15,0x00,0x00},{0x16,0x00,0x00},{0x17,0x00,0x00},
      {0x17,0x00,0x00},{0x18,0x00,0x00},{0x19,0x00,0x00},{0x1a,0x00,0x00},
      {0x1b,0x00,0x00},{0x1c,0x00,0x00},{0x1c,0x00,0x00},{0x1d,0x00,0x00},
      {0x1e,0x00,0x00},{0x1f,0x00,0x00},{0x20,0x00,0x00},{0x21,0x00,0x00},
      {0x21,0x00,0x00},{0x22,0x00,0x00},{0x23,0x00,0x00},{0x24,0x00,0x00},
      {0x25,0x00,0x00},{0x26,0x00,0x00},{0x26,0x00,0x00},{0x27,0x00,0x00},
      {0x28,0x00,0x00},{0x29,0x00,0x00},{0x2a,0x00,0x00},{0x2b,0x00,0x00},
      {0x2b,0x00,0x00},{0x2c,0x00,0x00},{0x2d,0x00,0x00},{0x2e,0x00,0x00},
      {0x2f,0x00,0x00},{0x30,0x00,0x00},{0x30,0x00,0x00},{0x31,0x00,0x00},
      {0x32,0x00,0x00},{0x33,0x00,0x00},{0x34,0x00,0x00},{0x35,0x00,0x00},
      {0x35,0x00,0x00},{0x36,0x00,0x00},{0x37,0x00,0x00},{0x38,0x00,0x00},
      {0x39,0x00,0x00},{0x3a,0x00,0x00},{0x3a,0x00,0x00},{0x3b,0x00,0x00},
      {0x3c,0x00,0x00},{0x3d,0x00,0x00},{0x3e,0x00,0x00},{0x3f,0x00,0x00},
      {0x3f,0x00,0x00},{0x40,0x00,0x00},{0x41,0x00,0x00},{0x42,0x00,0x00},
      {0x42,0x00,0x00},{0x43,0x00,0x00},{0x44,0x00,0x00},{0x45,0x00,0x00},
      {0x46,0x00,0x00},{0x47,0x00,0x00},{0x47,0x00,0x00},{0x48,0x00,0x00},
      {0x49,0x00,0x00},{0x4a,0x00,0x00},{0x4b,0x00,0x00},{0x4c,0x00,0x00},
      {0x4c,0x00,0x00},{0x4d,0x00,0x00},{0x4e,0x00,0x00},{0x4f,0x00,0x00},
      {0x50,0x00,0x00},{0x51,0x00,0x00},{0x51,0x00,0x00},{0x52,0x00,0x00},
      {0x53,0x00,0x00},{0x54,0x00,0x00},{0x55,0x00,0x00},{0x56,0x00,0x00},
      {0x56,0x00,0x00},{0x57,0x00,0x00},{0x58,0x00,0x00},{0x59,0x00,0x00},
      {0x5a,0x00,0x00},{0x5b,0x00,0x00},{0x5b,0x00,0x00},{0x5c,0x00,0x00},
      {0x5d,0x00,0x00},{0x5e,0x00,0x00},{0x5f,0x00,0x00},{0x60,0x00,0x00},
      {0x60,0x00,0x00},{0x61,0x00,0x00},{0x62,0x00,0x00},{0x63,0x00,0x00},
      {0x64,0x00,0x00},{0x65,0x00,0x00},{0x65,0x00,0x00},{0x66,0x00,0x00},
      {0x67,0x00,0x00},{0x68,0x00,0x00},{0x69,0x00,0x00},{0x6a,0x00,0x00},
      {0x6a,0x00,0x00},{0x6b,0x00,0x00},{0x6c,0x00,0x00},{0x6d,0x00,0x00},
      {0x6e,0x00,0x00},{0x6f,0x00,0x00},{0x6f,0x00,0x00},{0x70,0x00,0x00},
      {0x71,0x00,0x00},{0x72,0x00,0x00},{0x73,0x00,0x00},{0x74,0x00,0x00},
      {0x74,0x00,0x00},{0x75,0x00,0x00},{0x76,0x00,0x00},{0x77,0x00,0x00},
      {0x78,0x00,0x00},{0x79,0x00,0x00},{0x79,0x00,0x00},{0x7a,0x00,0x00},
      {0x7b,0x00,0x00},{0x7c,0x00,0x00},{0x7d,0x00,0x00},{0x7e,0x00,0x00},
      {0x7e,0x00,0x00},{0x7f,0x00,0x00},{0x80,0x00,0x00},{0x81,0x01,0x00},
      {0x81,0x02,0x00},{0x82,0x03,0x00},{0x83,0x04,0x00},{0x84,0x04,0x00},
      {0x85,0x05,0x00},{0x86,0x06,0x00},{0x86,0x07,0x00},{0x87,0x08,0x00},
      {0x88,0x09,0x00},{0x89,0x09,0x00},{0x8a,0x0a,0x00},{0x8b,0x0b,0x00},
      {0x8b,0x0c,0x00},{0x8c,0x0d,0x00},{0x8d,0x0e,0x00},{0x8e,0x0e,0x00},
      {0x8f,0x0f,0x00},{0x90,0x10,0x00},{0x90,0x11,0x00},{0x91,0x12,0x00},
      {0x92,0x13,0x00},{0x93,0x13,0x00},{0x94,0x14,0x00},{0x95,0x15,0x00},
      {0x95,0x16,0x00},{0x96,0x17,0x00},{0x97,0x18,0x00},{0x98,0x18,0x00},
      {0x99,0x19,0x00},{0x9a,0x1a,0x00},{0x9a,0x1b,0x00},{0x9b,0x1c,0x00},
      {0x9c,0x1d,0x00},{0x9d,0x1d,0x00},{0x9e,0x1e,0x00},{0x9f,0x1f,0x00},
      {0x9f,0x20,0x00},{0xa0,0x21,0x00},{0xa1,0x22,0x00},{0xa2,0x22,0x00},
      {0xa3,0x23,0x00},{0xa4,0x24,0x00},{0xa4,0x25,0x00},{0xa5,0x26,0x00},
      {0xa6,0x27,0x00},{0xa7,0x27,0x00},{0xa8,0x28,0x00},{0xa9,0x29,0x00},
      {0xa9,0x2a,0x00},{0xaa,0x2b,0x00},{0xab,0x2c,0x00},{0xac,0x2c,0x00},
      {0xad,0x2d,0x00},{0xae,0x2e,0x00},{0xae,0x2f,0x00},{0xaf,0x30,0x00},
      {0xb0,0x31,0x00},{0xb1,0x31,0x00},{0xb2,0x32,0x00},{0xb3,0x33,0x00},
      {0xb3,0x34,0x00},{0xb4,0x35,0x00},{0xb5,0x36,0x00},{0xb6,0x36,0x00},
      {0xb7,0x37,0x00},{0xb8,0x38,0x00},{0xb8,0x39,0x00},{0xb9,0x3a,0x00},
      {0xba,0x3b,0x00},{0xbb,0x3b,0x00},{0xbc,0x3c,0x00},{0xbd,0x3d,0x00},
      {0xbd,0x3e,0x00},{0xbe,0x3f,0x00},{0xbf,0x3f,0x00},{0xc0,0x40,0x00},
      {0xc0,0x41,0x00},{0xc1,0x42,0x00},{0xc2,0x43,0x00},{0xc3,0x43,0x00},
      {0xc4,0x44,0x00},{0xc5,0x45,0x00},{0xc5,0x46,0x00},{0xc6,0x47,0x00},
      {0xc7,0x48,0x00},{0xc8,0x48,0x00},{0xc9,0x49,0x00},{0xca,0x4a,0x00},
      {0xca,0x4b,0x00},{0xcb,0x4c,0x00},{0xcc,0x4d,0x00},{0xcd,0x4d,0x00},
      {0xce,0x4e,0x00},{0xcf,0x4f,0x00},{0xcf,0x50,0x00},{0xd0,0x51,0x00},
      {0xd1,0x52,0x00},{0xd2,0x52,0x00},{0xd3,0x53,0x00},{0xd4,0x54,0x00},
      {0xd4,0x55,0x00},{0xd5,0x56,0x00},{0xd6,0x57,0x00},{0xd7,0x57,0x00},
      {0xd8,0x58,0x00},{0xd9,0x59,0x00},{0xd9,0x5a,0x00},{0xda,0x5b,0x00},
      {0xdb,0x5c,0x00},{0xdc,0x5c,0x00},{0xdd,0x5d,0x00},{0xde,0x5e,0x00},
      {0xde,0x5f,0x00},{0xdf,0x60,0x00},{0xe0,0x61,0x00},{0xe1,0x61,0x00},
      {0xe2,0x62,0x00},{0xe3,0x63,0x00},{0xe3,0x64,0x00},{0xe4,0x65,0x00},
      {0xe5,0x66,0x00},{0xe6,0x66,0x00},{0xe7,0x67,0x00},{0xe8,0x68,0x00},
      {0xe8,0x69,0x00},{0xe9,0x6a,0x00},{0xea,0x6b,0x00},{0xeb,0x6b,0x00},
      {0xec,0x6c,0x00},{0xed,0x6d,0x00},{0xed,0x6e,0x00},{0xee,0x6f,0x00},
      {0xef,0x70,0x00},{0xf0,0x70,0x00},{0xf1,0x71,0x00},{0xf2,0x72,0x00},
      {0xf2,0x73,0x00},{0xf3,0x74,0x00},{0xf4,0x75,0x00},{0xf5,0x75,0x00},
      {0xf6,0x76,0x00},{0xf7,0x77,0x00},{0xf7,0x78,0x00},{0xf8,0x79,0x00},
      {0xf9,0x7a,0x00},{0xfa,0x7a,0x00},{0xfb,0x7b,0x00},{0xfc,0x7c,0x00},
      {0xfc,0x7d,0x00},{0xfd,0x7e,0x00},{0xfe,0x7f,0x00},{0xff,0x7f,0x00},
      {0xff,0x80,0x00},{0xff,0x81,0x01},{0xff,0x82,0x02},{0xff,0x82,0x03},
      {0xff,0x83,0x04},{0xff,0x84,0x05},{0xff,0x85,0x05},{0xff,0x86,0x06},
      {0xff,0x87,0x07},{0xff,0x87,0x08},{0xff,0x88,0x09},{0xff,0x89,0x0a},
      {0xff,0x8a,0x0a},{0xff,0x8b,0x0b},{0xff,0x8c,0x0c},{0xff,0x8c,0x0d},
      {0xff,0x8d,0x0e},{0xff,0x8e,0x0f},{0xff,0x8f,0x0f},{0xff,0x90,0x10},
      {0xff,0x91,0x11},{0xff,0x91,0x12},{0xff,0x92,0x13},{0xff,0x93,0x14},
      {0xff,0x94,0x14},{0xff,0x95,0x15},{0xff,0x96,0x16},{0xff,0x96,0x17},
      {0xff,0x97,0x18},{0xff,0x98,0x19},{0xff,0x99,0x19},{0xff,0x9a,0x1a},
      {0xff,0x9b,0x1b},{0xff,0x9b,0x1c},{0xff,0x9c,0x1d},{0xff,0x9d,0x1e},
      {0xff,0x9e,0x1e},{0xff,0x9f,0x1f},{0xff,0xa0,0x20},{0xff,0xa0,0x21},
      {0xff,0xa1,0x22},{0xff,0xa2,0x23},{0xff,0xa3,0x23},{0xff,0xa4,0x24},
      {0xff,0xa5,0x25},{0xff,0xa5,0x26},{0xff,0xa6,0x27},{0xff,0xa7,0x28},
      {0xff,0xa8,0x28},{0xff,0xa9,0x29},{0xff,0xaa,0x2a},{0xff,0xaa,0x2b},
      {0xff,0xab,0x2c},{0xff,0xac,0x2d},{0xff,0xad,0x2d},{0xff,0xae,0x2e},
      {0xff,0xaf,0x2f},{0xff,0xaf,0x30},{0xff,0xb0,0x31},{0xff,0xb1,0x32},
      {0xff,0xb2,0x32},{0xff,0xb3,0x33},{0xff,0xb4,0x34},{0xff,0xb4,0x35},
      {0xff,0xb5,0x36},{0xff,0xb6,0x37},{0xff,0xb7,0x37},{0xff,0xb8,0x38},
      {0xff,0xb9,0x39},{0xff,0xb9,0x3a},{0xff,0xba,0x3b},{0xff,0xbb,0x3c},
      {0xff,0xbc,0x3c},{0xff,0xbd,0x3d},{0xff,0xbe,0x3e},{0xff,0xbe,0x3f},
      {0xff,0xbf,0x40},{0xff,0xc0,0x40},{0xff,0xc1,0x41},{0xff,0xc2,0x42},
      {0xff,0xc2,0x43},{0xff,0xc3,0x44},{0xff,0xc4,0x45},{0xff,0xc5,0x45},
      {0xff,0xc6,0x46},{0xff,0xc7,0x47},{0xff,0xc7,0x48},{0xff,0xc8,0x49},
      {0xff,0xc9,0x4a},{0xff,0xca,0x4a},{0xff,0xcb,0x4b},{0xff,0xcc,0x4c},
      {0xff,0xcc,0x4d},{0xff,0xcd,0x4e},{0xff,0xce,0x4f},{0xff,0xcf,0x4f},
      {0xff,0xd0,0x50},{0xff,0xd1,0x51},{0xff,0xd1,0x52},{0xff,0xd2,0x53},
      {0xff,0xd3,0x54},{0xff,0xd4,0x54},{0xff,0xd5,0x55},{0xff,0xd5,0x56},
      {0xff,0xd6,0x57},{0xff,0xd7,0x58},{0xff,0xd8,0x58},{0xff,0xd9,0x59},
      {0xff,0xda,0x5a},{0xff,0xda,0x5b},{0xff,0xdb,0x5c},{0xff,0xdc,0x5d},
      {0xff,0xdd,0x5d},{0xff,0xde,0x5e},{0xff,0xdf,0x5f},{0xff,0xdf,0x60},
      {0xff,0xe0,0x61},{0xff,0xe1,0x62},{0xff,0xe2,0x62},{0xff,0xe3,0x63},
      {0xff,0xe4,0x64},{0xff,0xe4,0x65},{0xff,0xe5,0x66},{0xff,0xe6,0x67},
      {0xff,0xe7,0x67},{0xff,0xe8,0x68},{0xff,0xe9,0x69},{0xff,0xe9,0x6a},
      {0xff,0xea,0x6b},{0xff,0xeb,0x6c},{0xff,0xec,0x6c},{0xff,0xed,0x6d},
      {0xff,0xee,0x6e},{0xff,0xee,0x6f},{0xff,0xef,0x70},{0xff,0xf0,0x71},
      {0xff,0xf1,0x71},{0xff,0xf2,0x72},{0xff,0xf3,0x73},{0xff,0xf3,0x74},
      {0xff,0xf4,0x75},{0xff,0xf5,0x76},{0xff,0xf6,0x76},{0xff,0xf7,0x77},
      {0xff,0xf8,0x78},{0xff,0xf8,0x79},{0xff,0xf9,0x7a},{0xff,0xfa,0x7b},
      {0xff,0xfb,0x7b},{0xff,0xfc,0x7c},{0xff,0xfd,0x7d},{0xff,0xfd,0x7e},
      {0xff,0xfe,0x7f},{0xff,0xff,0x7f},{0xff,0xff,0x80},{0xff,0xff,0x81},
      {0xff,0xff,0x82},{0xff,0xff,0x83},{0xff,0xff,0x84},{0xff,0xff,0x84},
      {0xff,0xff,0x85},{0xff,0xff,0x86},{0xff,0xff,0x87},{0xff,0xff,0x88},
      {0xff,0xff,0x89},{0xff,0xff,0x89},{0xff,0xff,0x8a},{0xff,0xff,0x8b},
      {0xff,0xff,0x8c},{0xff,0xff,0x8d},{0xff,0xff,0x8e},{0xff,0xff,0x8e},
      {0xff,0xff,0x8f},{0xff,0xff,0x90},{0xff,0xff,0x91},{0xff,0xff,0x92},
      {0xff,0xff,0x93},{0xff,0xff,0x93},{0xff,0xff,0x94},{0xff,0xff,0x95},
      {0xff,0xff,0x96},{0xff,0xff,0x97},{0xff,0xff,0x98},{0xff,0xff,0x98},
      {0xff,0xff,0x99},{0xff,0xff,0x9a},{0xff,0xff,0x9b},{0xff,0xff,0x9c},
      {0xff,0xff,0x9d},{0xff,0xff,0x9d},{0xff,0xff,0x9e},{0xff,0xff,0x9f},
      {0xff,0xff,0xa0},{0xff,0xff,0xa1},{0xff,0xff,0xa2},{0xff,0xff,0xa2},
      {0xff,0xff,0xa3},{0xff,0xff,0xa4},{0xff,0xff,0xa5},{0xff,0xff,0xa6},
      {0xff,0xff,0xa7},{0xff,0xff,0xa7},{0xff,0xff,0xa8},{0xff,0xff,0xa9},
      {0xff,0xff,0xaa},{0xff,0xff,0xab},{0xff,0xff,0xab},{0xff,0xff,0xac},
      {0xff,0xff,0xad},{0xff,0xff,0xae},{0xff,0xff,0xaf},{0xff,0xff,0xb0},
      {0xff,0xff,0xb0},{0xff,0xff,0xb1},{0xff,0xff,0xb2},{0xff,0xff,0xb3},
      {0xff,0xff,0xb4},{0xff,0xff,0xb5},{0xff,0xff,0xb5},{0xff,0xff,0xb6},
      {0xff,0xff,0xb7},{0xff,0xff,0xb8},{0xff,0xff,0xb9},{0xff,0xff,0xba},
      {0xff,0xff,0xba},{0xff,0xff,0xbb},{0xff,0xff,0xbc},{0xff,0xff,0xbd},
      {0xff,0xff,0xbe},{0xff,0xff,0xbf},{0xff,0xff,0xbf},{0xff,0xff,0xc0},
      {0xff,0xff,0xc1},{0xff,0xff,0xc2},{0xff,0xff,0xc3},{0xff,0xff,0xc3},
      {0xff,0xff,0xc4},{0xff,0xff,0xc5},{0xff,0xff,0xc6},{0xff,0xff,0xc7},
      {0xff,0xff,0xc8},{0xff,0xff,0xc8},{0xff,0xff,0xc9},{0xff,0xff,0xca},
      {0xff,0xff,0xcb},{0xff,0xff,0xcc},{0xff,0xff,0xcd},{0xff,0xff,0xcd},
      {0xff,0xff,0xce},{0xff,0xff,0xcf},{0xff,0xff,0xd0},{0xff,0xff,0xd1},
      {0xff,0xff,0xd2},{0xff,0xff,0xd2},{0xff,0xff,0xd3},{0xff,0xff,0xd4},
      {0xff,0xff,0xd5},{0xff,0xff,0xd6},{0xff,0xff,0xd7},{0xff,0xff,0xd7},
      {0xff,0xff,0xd8},{0xff,0xff,0xd9},{0xff,0xff,0xda},{0xff,0xff,0xdb},
      {0xff,0xff,0xdc},{0xff,0xff,0xdc},{0xff,0xff,0xdd},{0xff,0xff,0xde},
      {0xff,0xff,0xdf},{0xff,0xff,0xe0},{0xff,0xff,0xe1},{0xff,0xff,0xe1},
      {0xff,0xff,0xe2},{0xff,0xff,0xe3},{0xff,0xff,0xe4},{0xff,0xff,0xe5},
      {0xff,0xff,0xe6},{0xff,0xff,0xe6},{0xff,0xff,0xe7},{0xff,0xff,0xe8},
      {0xff,0xff,0xe9},{0xff,0xff,0xea},{0xff,0xff,0xeb},{0xff,0xff,0xeb},
      {0xff,0xff,0xec},{0xff,0xff,0xed},{0xff,0xff,0xee},{0xff,0xff,0xef},
      {0xff,0xff,0xf0},{0xff,0xff,0xf0},{0xff,0xff,0xf1},{0xff,0xff,0xf2},
      {0xff,0xff,0xf3},{0xff,0xff,0xf4},{0xff,0xff,0xf5},{0xff,0xff,0xf5},
      {0xff,0xff,0xf6},{0xff,0xff,0xf7},{0xff,0xff,0xf8},{0xff,0xff,0xf9},
      {0xff,0xff,0xfa},{0xff,0xff,0xfa},{0xff,0xff,0xfb},{0xff,0xff,0xfc},
      {0xff,0xff,0xfd}
    }
  },
  /* 3 DS9_HE */
  { 0,
    { {0x0c,0x00,0x03},{0x18,0x00,0x06},{0x25,0x00,0x09},{0x35,0x00,0x0d},
      {0x42,0x00,0x10},{0x4e,0x00,0x13},{0x5f,0x00,0x17},{0x6b,0x00,0x1a},
      {0x78,0x00,0x1e},{0x7f,0x00,0x24},{0x7f,0x00,0x2a},{0x7f,0x00,0x31},
      {0x7f,0x00,0x39},{0x7f,0x00,0x3f},{0x7f,0x00,0x45},{0x7f,0x00,0x4e},
      {0x7f,0x00,0x54},{0x7f,0x00,0x5a},{0x7f,0x00,0x61},{0x7f,0x00,0x63},
      {0x7f,0x00,0x66},{0x7f,0x00,0x69},{0x7f,0x00,0x6c},{0x7f,0x00,0x6f},
      {0x7f,0x00,0x72},{0x7f,0x00,0x75},{0x7f,0x00,0x78},{0x7f,0x00,0x7b},
      {0x7f,0x00,0x7e},{0x7f,0x00,0x81},{0x7f,0x00,0x84},{0x7f,0x00,0x87},
      {0x7f,0x00,0x89},{0x7f,0x00,0x8d},{0x7f,0x00,0x90},{0x7f,0x00,0x92},
      {0x7f,0x00,0x96},{0x7f,0x00,0x99},{0x7f,0x00,0x9b},{0x7f,0x00,0x9f},
      {0x7f,0x02,0x9e},{0x7f,0x06,0x9d},{0x7f,0x0a,0x9c},{0x7f,0x0d,0x9c},
      {0x7f,0x10,0x9b},{0x7f,0x14,0x9a},{0x7f,0x17,0x99},{0x7f,0x1a,0x98},
      {0x7f,0x1f,0x97},{0x7f,0x22,0x97},{0x7f,0x25,0x96},{0x7f,0x29,0x95},
      {0x7f,0x2c,0x94},{0x7f,0x2f,0x93},{0x7f,0x33,0x92},{0x7f,0x36,0x92},
      {0x7f,0x39,0x91},{0x7f,0x3e,0x90},{0x7f,0x41,0x8f},{0x7f,0x44,0x8e},
      {0x7f,0x48,0x8d},{0x7f,0x4b,0x8c},{0x7f,0x4e,0x8c},{0x7f,0x52,0x8b},
      {0x7f,0x55,0x8a},{0x7f,0x59,0x89},{0x7f,0x5d,0x88},{0x7f,0x60,0x87},
      {0x7f,0x63,0x87},{0x7f,0x67,0x86},{0x7f,0x6a,0x85},{0x7f,0x6d,0x84},
      {0x7f,0x72,0x83},{0x7f,0x75,0x82},{0x7f,0x78,0x82},{0x7f,0x7c,0x81},
      {0x7f,0x7f,0x80},{0x7f,0x80,0x7f},{0x7f,0x81,0x7e},{0x7f,0x81,0x7d},
      {0x7f,0x82,0x7d},{0x7f,0x83,0x7c},{0x7f,0x84,0x7b},{0x7f,0x85,0x7a},
      {0x7f,0x86,0x79},{0x7f,0x86,0x78},{0x7f,0x87,0x78},{0x7f,0x88,0x77},
      {0x7f,0x89,0x76},{0x7f,0x8a,0x75},{0x7f,0x8b,0x74},{0x7f,0x8b,0x73},
      {0x7f,0x8c,0x72},{0x7f,0x8d,0x71},{0x7f,0x8e,0x71},{0x7f,0x8f,0x70},
      {0x7f,0x90,0x6f},{0x7f,0x90,0x6e},{0x7f,0x91,0x6d},{0x7f,0x92,0x6c},
      {0x7f,0x93,0x6c},{0x7f,0x94,0x6b},{0x7f,0x94,0x6a},{0x7f,0x95,0x69},
      {0x7f,0x96,0x68},{0x7f,0x97,0x68},{0x7f,0x98,0x67},{0x7f,0x99,0x66},
      {0x7f,0x99,0x65},{0x7f,0x9a,0x64},{0x7f,0x9b,0x63},{0x7f,0x9c,0x63},
      {0x7f,0x9d,0x62},{0x7f,0x9e,0x61},{0x7f,0x9e,0x60},{0x7f,0x9f,0x5f},
      {0x7f,0xa0,0x5e},{0x7f,0xa1,0x5e},{0x7f,0xa2,0x5d},{0x7f,0xa3,0x5c},
      {0x7f,0xa3,0x5b},{0x7f,0xa4,0x5a},{0x7f,0xa5,0x59},{0x7f,0xa6,0x58},
      {0x7f,0xa7,0x57},{0x7f,0xa8,0x57},{0x7f,0xa8,0x56},{0x7f,0xa9,0x55},
      {0x7f,0xaa,0x54},{0x7f,0xab,0x53},{0x7f,0xac,0x52},{0x7f,0xad,0x52},
      {0x7f,0xad,0x51},{0x7f,0xae,0x50},{0x7f,0xaf,0x4f},{0x7f,0xb0,0x4e},
      {0x7f,0xb1,0x4d},{0x7f,0xb2,0x4d},{0x7f,0xb2,0x4c},{0x7f,0xb3,0x4b},
      {0x7f,0xb4,0x4a},{0x7f,0xb5,0x49},{0x7f,0xb6,0x48},{0x7f,0xb7,0x48},
      {0x7f,0xb7,0x47},{0x7f,0xb8,0x46},{0x7f,0xb9,0x45},{0x7f,0xba,0x44},
      {0x7f,0xbb,0x43},{0x7f,0xbc,0x43},{0x7f,0xbc,0x42},{0x7f,0xbd,0x41},
      {0x7f,0xbe,0x40},{0x7f,0xbf,0x3f},{0x7f,0xbf,0x40},{0x80,0xbf,0x40},
      {0x80,0xbf,0x40},{0x81,0xbf,0x41},{0x81,0xbf,0x41},{0x81,0xbf,0x42},
      {0x82,0xbf,0x42},{0x82,0xc0,0x43},{0x83,0xc0,0x43},{0x83,0xc0,0x43},
      {0x84,0xc0,0x44},{0x84,0xc0,0x44},{0x84,0xc0,0x45},{0x85,0xc0,0x45},
      {0x85,0xc0,0x45},{0x86,0xc0,0x46},{0x86,0xc0,0x46},{0x86,0xc1,0x47},
      {0x87,0xc1,0x47},{0x87,0xc1,0x48},{0x88,0xc1,0x48},{0x88,0xc1,0x48},
      {0x89,0xc1,0x49},{0x89,0xc1,0x49},{0x89,0xc1,0x4a},{0x8a,0xc1,0x4a},
      {0x8a,0xc1,0x4a},{0x8b,0xc2,0x4b},{0x8b,0xc2,0x4b},{0x8b,0xc2,0x4c},
      {0x8c,0xc2,0x4c},{0x8c,0xc2,0x4d},{0x8d,0xc2,0x4d},{0x8d,0xc2,0x4d},
      {0x8e,0xc2,0x4e},{0x8e,0xc2,0x4e},{0x8e,0xc2,0x4f},{0x8f,0xc3,0x4f},
      {0x8f,0xc3,0x4f},{0x90,0xc3,0x50},{0x90,0xc3,0x50},{0x90,0xc3,0x51},
      {0x91,0xc3,0x51},{0x91,0xc3,0x52},{0x92,0xc3,0x52},{0x92,0xc3,0x52},
      {0x93,0xc3,0x53},{0x93,0xc4,0x53},{0x93,0xc4,0x54},{0x94,0xc4,0x54},
      {0x94,0xc4,0x54},{0x95,0xc4,0x55},{0x95,0xc4,0x55},{0x95,0xc4,0x56},
      {0x96,0xc4,0x56},{0x96,0xc4,0x57},{0x97,0xc4,0x57},{0x97,0xc5,0x57},
      {0x98,0xc5,0x58},{0x98,0xc5,0x58},{0x98,0xc5,0x59},{0x99,0xc5,0x59},
      {0x99,0xc5,0x59},{0x9a,0xc5,0x5a},{0x9a,0xc5,0x5a},{0x9a,0xc5,0x5b},
      {0x9b,0xc5,0x5b},{0x9b,0xc6,0x5c},{0x9c,0xc6,0x5c},{0x9c,0xc6,0x5c},
      {0x9d,0xc6,0x5d},{0x9d,0xc6,0x5d},{0x9d,0xc6,0x5e},{0x9e,0xc6,0x5e},
      {0x9e,0xc6,0x5e},{0x9f,0xc6,0x5f},{0x9f,0xc6,0x5f},{0x9f,0xc7,0x60},
      {0xa0,0xc7,0x60},{0xa0,0xc7,0x60},{0xa1,0xc7,0x61},{0xa1,0xc7,0x61},
      {0xa1,0xc7,0x62},{0xa2,0xc7,0x62},{0xa2,0xc7,0x62},{0xa3,0xc7,0x63},
      {0xa3,0xc7,0x63},{0xa3,0xc8,0x64},{0xa4,0xc8,0x64},{0xa4,0xc8,0x65},
      {0xa5,0xc8,0x65},{0xa5,0xc8,0x65},{0xa6,0xc8,0x66},{0xa6,0xc8,0x66},
      {0xa6,0xc8,0x67},{0xa7,0xc8,0x67},{0xa7,0xc8,0x67},{0xa8,0xc9,0x68},
      {0xa8,0xc9,0x68},{0xa8,0xc9,0x69},{0xa9,0xc9,0x69},{0xa9,0xc9,0x6a},
      {0xaa,0xc9,0x6a},{0xaa,0xc9,0x6a},{0xab,0xc9,0x6b},{0xab,0xc9,0x6b},
      {0xab,0xc9,0x6c},{0xac,0xca,0x6c},{0xac,0xca,0x6c},{0xad,0xca,0x6d},
      {0xad,0xca,0x6d},{0xad,0xca,0x6e},{0xae,0xca,0x6e},{0xae,0xca,0x6f},
      {0xaf,0xca,0x6f},{0xaf,0xca,0x6f},{0xb0,0xca,0x70},{0xb0,0xca,0x70},
      {0xb0,0xcb,0x71},{0xb1,0xcb,0x71},{0xb1,0xcb,0x71},{0xb2,0xcb,0x72},
      {0xb2,0xcb,0x72},{0xb2,0xcb,0x73},{0xb3,0xcb,0x73},{0xb3,0xcb,0x74},
      {0xb4,0xcb,0x74},{0xb4,0xcc,0x74},{0xb5,0xcc,0x75},{0xb5,0xcc,0x75},
      {0xb5,0xcc,0x76},{0xb6,0xcc,0x76},{0xb6,0xcc,0x76},{0xb7,0xcc,0x77},
      {0xb7,0xcc,0x77},{0xb7,0xcc,0x78},{0xb8,0xcc,0x78},{0xb8,0xcc,0x79},
      {0xb9,0xcd,0x79},{0xb9,0xcd,0x79},{0xba,0xcd,0x7a},{0xba,0xcd,0x7a},
      {0xba,0xcd,0x7b},{0xbb,0xcd,0x7b},{0xbb,0xcd,0x7b},{0xbc,0xcd,0x7c},
      {0xbc,0xcd,0x7c},{0xbc,0xcd,0x7d},{0xbd,0xce,0x7d},{0xbd,0xce,0x7e},
      {0xbe,0xce,0x7e},{0xbe,0xce,0x7e},{0xbf,0xce,0x7f},{0xbf,0xce,0x7f},
      {0xbf,0xce,0x7f},{0xbf,0xce,0x80},{0xbf,0xcf,0x80},{0xc0,0xcf,0x81},
      {0xc0,0xcf,0x81},{0xc0,0xcf,0x82},{0xc0,0xcf,0x82},{0xc0,0xcf,0x82},
      {0xc1,0xd0,0x83},{0xc1,0xd0,0x83},{0xc1,0xd0,0x84},{0xc1,0xd0,0x84},
      {0xc1,0xd0,0x84},{0xc2,0xd0,0x85},{0xc2,0xd0,0x85},{0xc2,0xd1,0x86},
      {0xc2,0xd1,0x86},{0xc3,0xd1,0x87},{0xc3,0xd1,0x87},{0xc3,0xd1,0x87},
      {0xc3,0xd1,0x88},{0xc3,0xd2,0x88},{0xc4,0xd2,0x89},{0xc4,0xd2,0x89},
      {0xc4,0xd2,0x89},{0xc4,0xd2,0x8a},{0xc4,0xd2,0x8a},{0xc5,0xd2,0x8b},
      {0xc5,0xd3,0x8b},{0xc5,0xd3,0x8c},{0xc5,0xd3,0x8c},{0xc5,0xd3,0x8c},
      {0xc6,0xd3,0x8d},{0xc6,0xd3,0x8d},{0xc6,0xd4,0x8e},{0xc6,0xd4,0x8e},
      {0xc6,0xd4,0x8e},{0xc7,0xd4,0x8f},{0xc7,0xd4,0x8f},{0xc7,0xd4,0x90},
      {0xc7,0xd5,0x90},{0xc8,0xd5,0x91},{0xc8,0xd5,0x91},{0xc8,0xd5,0x91},
      {0xc8,0xd5,0x92},{0xc8,0xd5,0x92},{0xc9,0xd6,0x93},{0xc9,0xd6,0x93},
      {0xc9,0xd6,0x93},{0xc9,0xd6,0x94},{0xc9,0xd6,0x94},{0xca,0xd6,0x95},
      {0xca,0xd6,0x95},{0xca,0xd7,0x96},{0xca,0xd7,0x96},{0xca,0xd7,0x96},
      {0xcb,0xd7,0x97},{0xcb,0xd7,0x97},{0xcb,0xd7,0x98},{0xcb,0xd8,0x98},
      {0xcb,0xd8,0x98},{0xcc,0xd8,0x99},{0xcc,0xd8,0x99},{0xcc,0xd8,0x9a},
      {0xcc,0xd8,0x9a},{0xcd,0xd9,0x9b},{0xcd,0xd9,0x9b},{0xcd,0xd9,0x9b},
      {0xcd,0xd9,0x9c},{0xcd,0xd9,0x9c},{0xce,0xd9,0x9d},{0xce,0xd9,0x9d},
      {0xce,0xda,0x9d},{0xce,0xda,0x9e},{0xce,0xda,0x9e},{0xcf,0xda,0x9f},
      {0xcf,0xda,0x9f},{0xcf,0xda,0x9f},{0xcf,0xdb,0xa0},{0xcf,0xdb,0xa0},
      {0xd0,0xdb,0xa1},{0xd0,0xdb,0xa1},{0xd0,0xdb,0xa2},{0xd0,0xdb,0xa2},
      {0xd0,0xdb,0xa2},{0xd1,0xdc,0xa3},{0xd1,0xdc,0xa3},{0xd1,0xdc,0xa4},
      {0xd1,0xdc,0xa4},{0xd1,0xdc,0xa4},{0xd2,0xdc,0xa5},{0xd2,0xdd,0xa5},
      {0xd2,0xdd,0xa6},{0xd2,0xdd,0xa6},{0xd3,0xdd,0xa7},{0xd3,0xdd,0xa7},
      {0xd3,0xdd,0xa7},{0xd3,0xde,0xa8},{0xd3,0xde,0xa8},{0xd4,0xde,0xa9},
      {0xd4,0xde,0xa9},{0xd4,0xde,0xa9},{0xd4,0xde,0xaa},{0xd4,0xde,0xaa},
      {0xd5,0xdf,0xab},{0xd5,0xdf,0xab},{0xd5,0xdf,0xab},{0xd5,0xdf,0xac},
      {0xd5,0xdf,0xac},{0xd6,0xdf,0xad},{0xd6,0xe0,0xad},{0xd6,0xe0,0xae},
      {0xd6,0xe0,0xae},{0xd6,0xe0,0xae},{0xd7,0xe0,0xaf},{0xd7,0xe0,0xaf},
      {0xd7,0xe1,0xb0},{0xd7,0xe1,0xb0},{0xd7,0xe1,0xb0},{0xd8,0xe1,0xb1},
      {0xd8,0xe1,0xb1},{0xd8,0xe1,0xb2},{0xd8,0xe1,0xb2},{0xd9,0xe2,0xb3},
      {0xd9,0xe2,0xb3},{0xd9,0xe2,0xb3},{0xd9,0xe2,0xb4},{0xd9,0xe2,0xb4},
      {0xda,0xe2,0xb5},{0xda,0xe3,0xb5},{0xda,0xe3,0xb5},{0xda,0xe3,0xb6},
      {0xda,0xe3,0xb6},{0xdb,0xe3,0xb7},{0xdb,0xe3,0xb7},{0xdb,0xe4,0xb8},
      {0xdb,0xe4,0xb8},{0xdb,0xe4,0xb8},{0xdc,0xe4,0xb9},{0xdc,0xe4,0xb9},
      {0xdc,0xe4,0xba},{0xdc,0xe4,0xba},{0xdc,0xe5,0xba},{0xdd,0xe5,0xbb},
      {0xdd,0xe5,0xbb},{0xdd,0xe5,0xbc},{0xdd,0xe5,0xbc},{0xde,0xe5,0xbd},
      {0xde,0xe6,0xbd},{0xde,0xe6,0xbd},{0xde,0xe6,0xbe},{0xde,0xe6,0xbe},
      {0xdf,0xe6,0xbf},{0xdf,0xe6,0xbf},{0xdf,0xe7,0xbf},{0xdf,0xe7,0xc0},
      {0xdf,0xe7,0xc0},{0xe0,0xe7,0xc1},{0xe0,0xe7,0xc1},{0xe0,0xe7,0xc1},
      {0xe0,0xe7,0xc2},{0xe0,0xe8,0xc2},{0xe1,0xe8,0xc3},{0xe1,0xe8,0xc3},
      {0xe1,0xe8,0xc4},{0xe1,0xe8,0xc4},{0xe1,0xe8,0xc4},{0xe2,0xe9,0xc5},
      {0xe2,0xe9,0xc5},{0xe2,0xe9,0xc6},{0xe2,0xe9,0xc6},{0xe2,0xe9,0xc6},
      {0xe3,0xe9,0xc7},{0xe3,0xea,0xc7},{0xe3,0xea,0xc8},{0xe3,0xea,0xc8},
      {0xe4,0xea,0xc9},{0xe4,0xea,0xc9},{0xe4,0xea,0xc9},{0xe4,0xea,0xca},
      {0xe4,0xeb,0xca},{0xe5,0xeb,0xcb},{0xe5,0xeb,0xcb},{0xe5,0xeb,0xcb},
      {0xe5,0xeb,0xcc},{0xe5,0xeb,0xcc},{0xe6,0xec,0xcd},{0xe6,0xec,0xcd},
      {0xe6,0xec,0xce},{0xe6,0xec,0xce},{0xe6,0xec,0xce},{0xe7,0xec,0xcf},
      {0xe7,0xed,0xcf},{0xe7,0xed,0xd0},{0xe7,0xed,0xd0},{0xe7,0xed,0xd0},
      {0xe8,0xed,0xd1},{0xe8,0xed,0xd1},{0xe8,0xed,0xd2},{0xe8,0xee,0xd2},
      {0xe9,0xee,0xd3},{0xe9,0xee,0xd3},{0xe9,0xee,0xd3},{0xe9,0xee,0xd4},
      {0xe9,0xee,0xd4},{0xea,0xef,0xd5},{0xea,0xef,0xd5},{0xea,0xef,0xd5},
      {0xea,0xef,0xd6},{0xea,0xef,0xd6},{0xeb,0xef,0xd7},{0xeb,0xf0,0xd7},
      {0xeb,0xf0,0xd7},{0xeb,0xf0,0xd8},{0xeb,0xf0,0xd8},{0xec,0xf0,0xd9},
      {0xec,0xf0,0xd9},{0xec,0xf0,0xda},{0xec,0xf1,0xda},{0xec,0xf1,0xda},
      {0xed,0xf1,0xdb},{0xed,0xf1,0xdb},{0xed,0xf1,0xdc},{0xed,0xf1,0xdc},
      {0xed,0xf2,0xdc},{0xee,0xf2,0xdd},{0xee,0xf2,0xdd},{0xee,0xf2,0xde},
      {0xee,0xf2,0xde},{0xef,0xf2,0xdf},{0xef,0xf2,0xdf},{0xef,0xf3,0xdf},
      {0xef,0xf3,0xe0},{0xef,0xf3,0xe0},{0xf0,0xf3,0xe1},{0xf0,0xf3,0xe1},
      {0xf0,0xf3,0xe1},{0xf0,0xf4,0xe2},{0xf0,0xf4,0xe2},{0xf1,0xf4,0xe3},
      {0xf1,0xf4,0xe3},{0xf1,0xf4,0xe3},{0xf1,0xf4,0xe4},{0xf1,0xf5,0xe4},
      {0xf2,0xf5,0xe5},{0xf2,0xf5,0xe5},{0xf2,0xf5,0xe6},{0xf2,0xf5,0xe6},
      {0xf2,0xf5,0xe6},{0xf3,0xf6,0xe7},{0xf3,0xf6,0xe7},{0xf3,0xf6,0xe8},
      {0xf3,0xf6,0xe8},{0xf3,0xf6,0xe8},{0xf4,0xf6,0xe9},{0xf4,0xf6,0xe9},
      {0xf4,0xf7,0xea},{0xf4,0xf7,0xea},{0xf5,0xf7,0xeb},{0xf5,0xf7,0xeb},
      {0xf5,0xf7,0xeb},{0xf5,0xf7,0xec},{0xf5,0xf8,0xec},{0xf6,0xf8,0xed},
      {0xf6,0xf8,0xed},{0xf6,0xf8,0xed},{0xf6,0xf8,0xee},{0xf6,0xf8,0xee},
      {0xf7,0xf8,0xef},{0xf7,0xf9,0xef},{0xf7,0xf9,0xf0},{0xf7,0xf9,0xf0},
      {0xf7,0xf9,0xf0},{0xf8,0xf9,0xf1},{0xf8,0xf9,0xf1},{0xf8,0xfa,0xf2},
      {0xf8,0xfa,0xf2},{0xf8,0xfa,0xf2},{0xf9,0xfa,0xf3},{0xf9,0xfa,0xf3},
      {0xf9,0xfa,0xf4},{0xf9,0xfb,0xf4},{0xfa,0xfb,0xf5},{0xfa,0xfb,0xf5},
      {0xfa,0xfb,0xf5},{0xfa,0xfb,0xf6},{0xfa,0xfb,0xf6},{0xfb,0xfb,0xf7},
      {0xfb,0xfc,0xf7},{0xfb,0xfc,0xf7},{0xfb,0xfc,0xf8},{0xfb,0xfc,0xf8},
      {0xfc,0xfc,0xf9},{0xfc,0xfc,0xf9},{0xfc,0xfd,0xfa},{0xfc,0xfd,0xfa},
      {0xfc,0xfd,0xfa},{0xfd,0xfd,0xfb},{0xfd,0xfd,0xfb},{0xfd,0xfd,0xfc},
      {0xfd,0xfe,0xfc},{0xfd,0xfe,0xfc},{0xfe,0xfe,0xfd},{0xfe,0xfe,0xfd},
      {0xfe,0xfe,0xfe}
    }
  },
  /* I8,AIPS0  */
  /* 4 SLS */
  { F_DIRECT,
    { {0x00,0x00,0x00},{0x00,0x00,0x00},{0x00,0x00,0x00},{0x0b,0x00,0x0d},
      {0x0b,0x00,0x0d},{0x0b,0x00,0x0d},{0x16,0x00,0x1a},{0x16,0x00,0x1a},
      {0x16,0x00,0x1a},{0x21,0x00,0x28},{0x21,0x00,0x28},{0x21,0x00,0x28},
      {0x2c,0x00,0x35},{0x2c,0x00,0x35},{0x2c,0x00,0x35},{0x37,0x00,0x43},
      {0x37,0x00,0x43},{0x37,0x00,0x43},{0x42,0x00,0x50},{0x42,0x00,0x50},
      {0x42,0x00,0x50},{0x4d,0x00,0x5e},{0x4d,0x00,0x5e},{0x4d,0x00,0x5e},
      {0x58,0x00,0x6b},{0x58,0x00,0x6b},{0x58,0x00,0x6b},{0x63,0x00,0x79},
      {0x63,0x00,0x79},{0x63,0x00,0x79},{0x6e,0x00,0x86},{0x6e,0x00,0x86},
      {0x6e,0x00,0x86},{0x79,0x00,0x94},{0x79,0x00,0x94},{0x79,0x00,0x94},
      {0x84,0x00,0xa1},{0x84,0x00,0xa1},{0x84,0x00,0xa1},{0x84,0x00,0xa1},
      {0x81,0x00,0xa3},{0x81,0x00,0xa3},{0x81,0x00,0xa3},{0x7d,0x00,0xa4},
      {0x7d,0x00,0xa4},{0x7d,0x00,0xa4},{0x79,0x00,0xa6},{0x79,0x00,0xa6},
      {0x79,0x00,0xa6},{0x76,0x00,0xa7},{0x76,0x00,0xa7},{0x76,0x00,0xa7},
      {0x72,0x00,0xa8},{0x72,0x00,0xa8},{0x72,0x00,0xa8},{0x6e,0x00,0xaa},
      {0x6e,0x00,0xaa},{0x6e,0x00,0xaa},{0x6a,0x00,0xab},{0x6a,0x00,0xab},
      {0x6a,0x00,0xab},{0x67,0x00,0xad},{0x67,0x00,0xad},{0x67,0x00,0xad},
      {0x63,0x00,0xae},{0x63,0x00,0xae},{0x63,0x00,0xae},{0x5f,0x00,0xb0},
      {0x5f,0x00,0xb0},{0x5f,0x00,0xb0},{0x5c,0x00,0xb1},{0x5c,0x00,0xb1},
      {0x5c,0x00,0xb1},{0x58,0x00,0xb3},{0x58,0x00,0xb3},{0x58,0x00,0xb3},
      {0x51,0x00,0xb5},{0x51,0x00,0xb5},{0x51,0x00,0xb5},{0x51,0x00,0xb5},
      {0x49,0x00,0xb8},{0x49,0x00,0xb8},{0x49,0x00,0xb8},{0x42,0x00,0xba},
      {0x42,0x00,0xba},{0x42,0x00,0xba},{0x3a,0x00,0xbd},{0x3a,0x00,0xbd},
      {0x3a,0x00,0xbd},{0x33,0x00,0xc0},{0x33,0x00,0xc0},{0x33,0x00,0xc0},
      {0x2c,0x00,0xc2},{0x2c,0x00,0xc2},{0x2c,0x00,0xc2},{0x24,0x00,0xc5},
      {0x24,0x00,0xc5},{0x24,0x00,0xc5},{0x1d,0x00,0xc7},{0x1d,0x00,0xc7},
      {0x1d,0x00,0xc7},{0x16,0x00,0xca},{0x16,0x00,0xca},{0x16,0x00,0xca},
      {0x0e,0x00,0xcc},{0x0e,0x00,0xcc},{0x0e,0x00,0xcc},{0x07,0x00,0xcf},
      {0x07,0x00,0xcf},{0x07,0x00,0xcf},{0x00,0x00,0xd2},{0x00,0x00,0xd2},
      {0x00,0x00,0xd2},{0x00,0x05,0xd5},{0x00,0x05,0xd5},{0x00,0x05,0xd5},
      {0x00,0x05,0xd5},{0x00,0x0a,0xd9},{0x00,0x0a,0xd9},{0x00,0x0a,0xd9},
      {0x00,0x0f,0xdd},{0x00,0x0f,0xdd},{0x00,0x0f,0xdd},{0x00,0x14,0xe1},
      {0x00,0x14,0xe1},{0x00,0x14,0xe1},{0x00,0x19,0xe4},{0x00,0x19,0xe4},
      {0x00,0x19,0xe4},{0x00,0x1e,0xe8},{0x00,0x1e,0xe8},{0x00,0x1e,0xe8},
      {0x00,0x23,0xec},{0x00,0x23,0xec},{0x00,0x23,0xec},{0x00,0x28,0xf0},
      {0x00,0x28,0xf0},{0x00,0x28,0xf0},{0x00,0x2d,0xf3},{0x00,0x2d,0xf3},
      {0x00,0x2d,0xf3},{0x00,0x32,0xf7},{0x00,0x32,0xf7},{0x00,0x32,0xf7},
      {0x00,0x37,0xfb},{0x00,0x37,0xfb},{0x00,0x37,0xfb},{0x00,0x3c,0xff},
      {0x00,0x3c,0xff},{0x00,0x3c,0xff},{0x00,0x44,0xff},{0x00,0x44,0xff},
      {0x00,0x44,0xff},{0x00,0x4c,0xff},{0x00,0x4c,0xff},{0x00,0x4c,0xff},
      {0x00,0x4c,0xff},{0x00,0x54,0xff},{0x00,0x54,0xff},{0x00,0x54,0xff},
      {0x00,0x5b,0xff},{0x00,0x5b,0xff},{0x00,0x5b,0xff},{0x00,0x63,0xff},
      {0x00,0x63,0xff},{0x00,0x63,0xff},{0x00,0x6b,0xff},{0x00,0x6b,0xff},
      {0x00,0x6b,0xff},{0x00,0x73,0xff},{0x00,0x73,0xff},{0x00,0x73,0xff},
      {0x00,0x7b,0xff},{0x00,0x7b,0xff},{0x00,0x7b,0xff},{0x00,0x83,0xff},
      {0x00,0x83,0xff},{0x00,0x83,0xff},{0x00,0x8b,0xff},{0x00,0x8b,0xff},
      {0x00,0x8b,0xff},{0x00,0x92,0xff},{0x00,0x92,0xff},{0x00,0x92,0xff},
      {0x00,0x9a,0xff},{0x00,0x9a,0xff},{0x00,0x9a,0xff},{0x00,0xa1,0xf8},
      {0x00,0xa1,0xf8},{0x00,0xa1,0xf8},{0x00,0xa7,0xf2},{0x00,0xa7,0xf2},
      {0x00,0xa7,0xf2},{0x00,0xad,0xec},{0x00,0xad,0xec},{0x00,0xad,0xec},
      {0x00,0xb4,0xe5},{0x00,0xb4,0xe5},{0x00,0xb4,0xe5},{0x00,0xba,0xdf},
      {0x00,0xba,0xdf},{0x00,0xba,0xdf},{0x00,0xc1,0xd9},{0x00,0xc1,0xd9},
      {0x00,0xc1,0xd9},{0x00,0xc1,0xd9},{0x00,0xc7,0xd2},{0x00,0xc7,0xd2},
      {0x00,0xc7,0xd2},{0x00,0xcd,0xcc},{0x00,0xcd,0xcc},{0x00,0xcd,0xcc},
      {0x00,0xd4,0xc6},{0x00,0xd4,0xc6},{0x00,0xd4,0xc6},{0x00,0xda,0xc0},
      {0x00,0xda,0xc0},{0x00,0xda,0xc0},{0x00,0xe1,0xb9},{0x00,0xe1,0xb9},
      {0x00,0xe1,0xb9},{0x00,0xe7,0xb3},{0x00,0xe7,0xb3},{0x00,0xe7,0xb3},
      {0x00,0xe5,0xac},{0x00,0xe5,0xac},{0x00,0xe5,0xac},{0x00,0xe4,0xa5},
      {0x00,0xe4,0xa5},{0x00,0xe4,0xa5},{0x00,0xe2,0x9e},{0x00,0xe2,0x9e},
      {0x00,0xe2,0x9e},{0x00,0xe1,0x97},{0x00,0xe1,0x97},{0x00,0xe1,0x97},
      {0x00,0xdf,0x91},{0x00,0xdf,0x91},{0x00,0xdf,0x91},{0x00,0xdd,0x8a},
      {0x00,0xdd,0x8a},{0x00,0xdd,0x8a},{0x00,0xdc,0x83},{0x00,0xdc,0x83},
      {0x00,0xdc,0x83},{0x00,0xdc,0x83},{0x00,0xda,0x7c},{0x00,0xda,0x7c},
      {0x00,0xda,0x7c},{0x00,0xd9,0x75},{0x00,0xd9,0x75},{0x00,0xd9,0x75},
      {0x00,0xd7,0x6e},{0x00,0xd7,0x6e},{0x00,0xd7,0x6e},{0x00,0xd5,0x67},
      {0x00,0xd5,0x67},{0x00,0xd5,0x67},{0x00,0xd4,0x61},{0x00,0xd4,0x61},
      {0x00,0xd4,0x61},{0x00,0xd4,0x5a},{0x00,0xd4,0x5a},{0x00,0xd4,0x5a},
      {0x00,0xd4,0x53},{0x00,0xd4,0x53},{0x00,0xd4,0x53},{0x00,0xd4,0x4d},
      {0x00,0xd4,0x4d},{0x00,0xd4,0x4d},{0x00,0xd3,0x46},{0x00,0xd3,0x46},
      {0x00,0xd3,0x46},{0x00,0xd3,0x40},{0x00,0xd3,0x40},{0x00,0xd3,0x40},
      {0x00,0xd3,0x39},{0x00,0xd3,0x39},{0x00,0xd3,0x39},{0x00,0xd3,0x33},
      {0x00,0xd3,0x33},{0x00,0xd3,0x33},{0x00,0xd3,0x33},{0x00,0xd3,0x2c},
      {0x00,0xd3,0x2c},{0x00,0xd3,0x2c},{0x00,0xd3,0x26},{0x00,0xd3,0x26},
      {0x00,0xd3,0x26},{0x00,0xd3,0x1f},{0x00,0xd3,0x1f},{0x00,0xd3,0x1f},
      {0x00,0xd3,0x19},{0x00,0xd3,0x19},{0x00,0xd3,0x19},{0x00,0xd3,0x12},
      {0x00,0xd3,0x12},{0x00,0xd3,0x12},{0x08,0xd4,0x11},{0x08,0xd4,0x11},
      {0x08,0xd4,0x11},{0x10,0xd6,0x0f},{0x10,0xd6,0x0f},{0x10,0xd6,0x0f},
      {0x19,0xd7,0x0d},{0x19,0xd7,0x0d},{0x19,0xd7,0x0d},{0x21,0xd9,0x0c},
      {0x21,0xd9,0x0c},{0x21,0xd9,0x0c},{0x2a,0xdb,0x0a},{0x2a,0xdb,0x0a},
      {0x2a,0xdb,0x0a},{0x32,0xdc,0x09},{0x32,0xdc,0x09},{0x32,0xdc,0x09},
      {0x3b,0xde,0x07},{0x3b,0xde,0x07},{0x3b,0xde,0x07},{0x43,0xdf,0x06},
      {0x43,0xdf,0x06},{0x43,0xdf,0x06},{0x43,0xdf,0x06},{0x4c,0xe1,0x04},
      {0x4c,0xe1,0x04},{0x4c,0xe1,0x04},{0x54,0xe2,0x03},{0x54,0xe2,0x03},
      {0x54,0xe2,0x03},{0x5d,0xe4,0x01},{0x5d,0xe4,0x01},{0x5d,0xe4,0x01},
      {0x65,0xe6,0x00},{0x65,0xe6,0x00},{0x65,0xe6,0x00},{0x6d,0xe6,0x00},
      {0x6d,0xe6,0x00},{0x6d,0xe6,0x00},{0x76,0xe6,0x00},{0x76,0xe6,0x00},
      {0x76,0xe6,0x00},{0x7e,0xe6,0x00},{0x7e,0xe6,0x00},{0x7e,0xe6,0x00},
      {0x87,0xe6,0x00},{0x87,0xe6,0x00},{0x87,0xe6,0x00},{0x8f,0xe6,0x00},
      {0x8f,0xe6,0x00},{0x8f,0xe6,0x00},{0x97,0xe6,0x00},{0x97,0xe6,0x00},
      {0x97,0xe6,0x00},{0xa0,0xe6,0x00},{0xa0,0xe6,0x00},{0xa0,0xe6,0x00},
      {0xa8,0xe6,0x00},{0xa8,0xe6,0x00},{0xa8,0xe6,0x00},{0xa8,0xe6,0x00},
      {0xb1,0xe6,0x00},{0xb1,0xe6,0x00},{0xb1,0xe6,0x00},{0xb9,0xe6,0x00},
      {0xb9,0xe6,0x00},{0xb9,0xe6,0x00},{0xc1,0xe6,0x00},{0xc1,0xe6,0x00},
      {0xc1,0xe6,0x00},{0xca,0xe6,0x00},{0xca,0xe6,0x00},{0xca,0xe6,0x00},
      {0xce,0xe4,0x01},{0xce,0xe4,0x01},{0xce,0xe4,0x01},{0xd3,0xe3,0x02},
      {0xd3,0xe3,0x02},{0xd3,0xe3,0x02},{0xd7,0xe2,0x03},{0xd7,0xe2,0x03},
      {0xd7,0xe2,0x03},{0xdb,0xe1,0x04},{0xdb,0xe1,0x04},{0xdb,0xe1,0x04},
      {0xe0,0xdf,0x05},{0xe0,0xdf,0x05},{0xe0,0xdf,0x05},{0xe4,0xde,0x06},
      {0xe4,0xde,0x06},{0xe4,0xde,0x06},{0xe9,0xdd,0x07},{0xe9,0xdd,0x07},
      {0xe9,0xdd,0x07},{0xed,0xdc,0x08},{0xed,0xdc,0x08},{0xed,0xdc,0x08},
      {0xf1,0xda,0x09},{0xf1,0xda,0x09},{0xf1,0xda,0x09},{0xf6,0xd9,0x0a},
      {0xf6,0xd9,0x0a},{0xf6,0xd9,0x0a},{0xfa,0xd8,0x0b},{0xfa,0xd8,0x0b},
      {0xfa,0xd8,0x0b},{0xff,0xd7,0x0c},{0xff,0xd7,0x0c},{0xff,0xd7,0x0c},
      {0xfd,0xd2,0x0d},{0xfd,0xd2,0x0d},{0xfd,0xd2,0x0d},{0xfd,0xd2,0x0d},
      {0xfc,0xcd,0x0e},{0xfc,0xcd,0x0e},{0xfc,0xcd,0x0e},{0xfb,0xc8,0x0f},
      {0xfb,0xc8,0x0f},{0xfb,0xc8,0x0f},{0xfa,0xc4,0x10},{0xfa,0xc4,0x10},
      {0xfa,0xc4,0x10},{0xf9,0xbf,0x11},{0xf9,0xbf,0x11},{0xf9,0xbf,0x11},
      {0xf8,0xba,0x12},{0xf8,0xba,0x12},{0xf8,0xba,0x12},{0xf7,0xb5,0x12},
      {0xf7,0xb5,0x12},{0xf7,0xb5,0x12},{0xf6,0xb0,0x13},{0xf6,0xb0,0x13},
      {0xf6,0xb0,0x13},{0xf5,0xac,0x14},{0xf5,0xac,0x14},{0xf5,0xac,0x14},
      {0xf4,0xa7,0x15},{0xf4,0xa7,0x15},{0xf4,0xa7,0x15},{0xf3,0xa2,0x16},
      {0xf3,0xa2,0x16},{0xf3,0xa2,0x16},{0xf1,0x9d,0x17},{0xf1,0x9d,0x17},
      {0xf1,0x9d,0x17},{0xf3,0x99,0x15},{0xf3,0x99,0x15},{0xf3,0x99,0x15},
      {0xf3,0x99,0x15},{0xf4,0x94,0x13},{0xf4,0x94,0x13},{0xf4,0x94,0x13},
      {0xf5,0x8f,0x11},{0xf5,0x8f,0x11},{0xf5,0x8f,0x11},{0xf6,0x8a,0x0f},
      {0xf6,0x8a,0x0f},{0xf6,0x8a,0x0f},{0xf7,0x86,0x0d},{0xf7,0x86,0x0d},
      {0xf7,0x86,0x0d},{0xf8,0x81,0x0b},{0xf8,0x81,0x0b},{0xf8,0x81,0x0b},
      {0xf9,0x7c,0x09},{0xf9,0x7c,0x09},{0xf9,0x7c,0x09},{0xfa,0x77,0x07},
      {0xfa,0x77,0x07},{0xfa,0x77,0x07},{0xfb,0x72,0x05},{0xfb,0x72,0x05},
      {0xfb,0x72,0x05},{0xfc,0x6e,0x03},{0xfc,0x6e,0x03},{0xfc,0x6e,0x03},
      {0xfd,0x69,0x01},{0xfd,0x69,0x01},{0xfd,0x69,0x01},{0xff,0x64,0x00},
      {0xff,0x64,0x00},{0xff,0x64,0x00},{0xfe,0x5c,0x00},{0xfe,0x5c,0x00},
      {0xfe,0x5c,0x00},{0xfe,0x53,0x00},{0xfe,0x53,0x00},{0xfe,0x53,0x00},
      {0xfe,0x53,0x00},{0xfd,0x4b,0x00},{0xfd,0x4b,0x00},{0xfd,0x4b,0x00},
      {0xfd,0x43,0x00},{0xfd,0x43,0x00},{0xfd,0x43,0x00},{0xfc,0x3a,0x00},
      {0xfc,0x3a,0x00},{0xfc,0x3a,0x00},{0xfc,0x32,0x00},{0xfc,0x32,0x00},
      {0xfc,0x32,0x00},{0xfc,0x29,0x00},{0xfc,0x29,0x00},{0xfc,0x29,0x00},
      {0xfb,0x21,0x00},{0xfb,0x21,0x00},{0xfb,0x21,0x00},{0xfb,0x19,0x00},
      {0xfb,0x19,0x00},{0xfb,0x19,0x00},{0xfa,0x10,0x00},{0xfa,0x10,0x00},
      {0xfa,0x10,0x00},{0xfa,0x08,0x00},{0xfa,0x08,0x00},{0xfa,0x08,0x00},
      {0xf9,0x00,0x00},{0xf9,0x00,0x00},{0xf9,0x00,0x00},{0xf3,0x00,0x00},
      {0xf3,0x00,0x00},{0xf3,0x00,0x00},{0xed,0x00,0x00},{0xed,0x00,0x00},
      {0xed,0x00,0x00},{0xed,0x00,0x00},{0xe7,0x00,0x00},{0xe7,0x00,0x00},
      {0xe7,0x00,0x00},{0xe1,0x00,0x00},{0xe1,0x00,0x00},{0xe1,0x00,0x00},
      {0xdb,0x00,0x00},{0xdb,0x00,0x00},{0xdb,0x00,0x00},{0xd4,0x00,0x00},
      {0xd4,0x00,0x00},{0xd4,0x00,0x00},{0xce,0x00,0x00},{0xce,0x00,0x00},
      {0xce,0x00,0x00},{0xc8,0x00,0x00},{0xc8,0x00,0x00},{0xc8,0x00,0x00},
      {0xc2,0x00,0x00},{0xc2,0x00,0x00},{0xc2,0x00,0x00},{0xbc,0x00,0x00},
      {0xbc,0x00,0x00},{0xbc,0x00,0x00},{0xb6,0x00,0x00},{0xb6,0x00,0x00},
      {0xb6,0x00,0x00},{0xaf,0x00,0x00},{0xaf,0x00,0x00},{0xaf,0x00,0x00},
      {0xb6,0x15,0x15},{0xb6,0x15,0x15},{0xb6,0x15,0x15},{0xbd,0x2a,0x2a},
      {0xbd,0x2a,0x2a},{0xbd,0x2a,0x2a},{0xc3,0x3f,0x3f},{0xc3,0x3f,0x3f},
      {0xc3,0x3f,0x3f},{0xc3,0x3f,0x3f},{0xca,0x54,0x54},{0xca,0x54,0x54},
      {0xca,0x54,0x54},{0xd0,0x6a,0x6a},{0xd0,0x6a,0x6a},{0xd0,0x6a,0x6a},
      {0xd7,0x7f,0x7f},{0xd7,0x7f,0x7f},{0xd7,0x7f,0x7f},{0xde,0x94,0x94},
      {0xde,0x94,0x94},{0xde,0x94,0x94},{0xe4,0xaa,0xaa},{0xe4,0xaa,0xaa},
      {0xe4,0xaa,0xaa},{0xeb,0xbf,0xbf},{0xeb,0xbf,0xbf},{0xeb,0xbf,0xbf},
      {0xf1,0xd4,0xd4},{0xf1,0xd4,0xd4},{0xf1,0xd4,0xd4},{0xf8,0xe9,0xe9},
      {0xf8,0xe9,0xe9},{0xf8,0xe9,0xe9},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff}
    }
  },
  /* 5 HEAT */
  { 0,
    { {0x01,0x00,0x00},{0x02,0x00,0x00},{0x03,0x01,0x00},{0x04,0x01,0x00},
      {0x05,0x01,0x00},{0x06,0x02,0x00},{0x08,0x02,0x00},{0x09,0x03,0x00},
      {0x0a,0x03,0x00},{0x0c,0x04,0x00},{0x0d,0x04,0x00},{0x0e,0x04,0x00},
      {0x0f,0x05,0x00},{0x10,0x05,0x00},{0x11,0x06,0x00},{0x13,0x06,0x00},
      {0x14,0x06,0x00},{0x15,0x07,0x00},{0x17,0x07,0x00},{0x18,0x08,0x00},
      {0x19,0x08,0x00},{0x1a,0x09,0x00},{0x1b,0x09,0x00},{0x1c,0x09,0x00},
      {0x1e,0x0a,0x00},{0x1f,0x0a,0x00},{0x20,0x0b,0x00},{0x22,0x0b,0x00},
      {0x23,0x0b,0x00},{0x24,0x0c,0x00},{0x25,0x0c,0x00},{0x26,0x0d,0x00},
      {0x27,0x0d,0x00},{0x29,0x0e,0x00},{0x2a,0x0e,0x00},{0x2b,0x0e,0x00},
      {0x2d,0x0f,0x00},{0x2e,0x0f,0x00},{0x2f,0x10,0x00},{0x30,0x10,0x00},
      {0x31,0x10,0x00},{0x32,0x11,0x00},{0x34,0x11,0x00},{0x35,0x12,0x00},
      {0x36,0x12,0x00},{0x38,0x13,0x00},{0x39,0x13,0x00},{0x3a,0x13,0x00},
      {0x3b,0x14,0x00},{0x3c,0x14,0x00},{0x3d,0x15,0x00},{0x3f,0x15,0x00},
      {0x40,0x15,0x00},{0x41,0x16,0x00},{0x43,0x16,0x00},{0x44,0x17,0x00},
      {0x45,0x17,0x00},{0x46,0x18,0x00},{0x47,0x18,0x00},{0x48,0x18,0x00},
      {0x4a,0x19,0x00},{0x4b,0x19,0x00},{0x4c,0x1a,0x00},{0x4e,0x1a,0x00},
      {0x4f,0x1a,0x00},{0x50,0x1b,0x00},{0x51,0x1b,0x00},{0x52,0x1c,0x00},
      {0x53,0x1c,0x00},{0x55,0x1d,0x00},{0x56,0x1d,0x00},{0x57,0x1d,0x00},
      {0x58,0x1e,0x00},{0x5a,0x1e,0x00},{0x5b,0x1f,0x00},{0x5c,0x1f,0x00},
      {0x5d,0x1f,0x00},{0x5e,0x20,0x00},{0x60,0x20,0x00},{0x61,0x21,0x00},
      {0x62,0x21,0x00},{0x63,0x21,0x00},{0x65,0x22,0x00},{0x66,0x22,0x00},
      {0x67,0x23,0x00},{0x68,0x23,0x00},{0x69,0x23,0x00},{0x6b,0x24,0x00},
      {0x6c,0x24,0x00},{0x6d,0x25,0x00},{0x6e,0x25,0x00},{0x70,0x26,0x00},
      {0x71,0x26,0x00},{0x72,0x26,0x00},{0x73,0x27,0x00},{0x74,0x27,0x00},
      {0x76,0x28,0x00},{0x77,0x28,0x00},{0x78,0x28,0x00},{0x79,0x29,0x00},
      {0x7b,0x29,0x00},{0x7c,0x2a,0x00},{0x7d,0x2a,0x00},{0x7e,0x2b,0x00},
      {0x7f,0x2b,0x00},{0x80,0x2b,0x00},{0x82,0x2c,0x00},{0x83,0x2c,0x00},
      {0x84,0x2d,0x00},{0x86,0x2d,0x00},{0x87,0x2d,0x00},{0x88,0x2e,0x00},
      {0x89,0x2e,0x00},{0x8a,0x2f,0x00},{0x8b,0x2f,0x00},{0x8d,0x30,0x00},
      {0x8e,0x30,0x00},{0x8f,0x30,0x00},{0x91,0x31,0x00},{0x92,0x31,0x00},
      {0x93,0x32,0x00},{0x94,0x32,0x00},{0x95,0x32,0x00},{0x96,0x33,0x00},
      {0x98,0x33,0x00},{0x99,0x34,0x00},{0x9a,0x34,0x00},{0x9c,0x35,0x00},
      {0x9d,0x35,0x00},{0x9e,0x35,0x00},{0x9f,0x36,0x00},{0xa0,0x36,0x00},
      {0xa1,0x37,0x00},{0xa3,0x37,0x00},{0xa4,0x37,0x00},{0xa5,0x38,0x00},
      {0xa6,0x38,0x00},{0xa8,0x39,0x00},{0xa9,0x39,0x00},{0xaa,0x3a,0x00},
      {0xab,0x3a,0x00},{0xac,0x3a,0x00},{0xae,0x3b,0x00},{0xaf,0x3b,0x00},
      {0xb0,0x3c,0x00},{0xb1,0x3c,0x00},{0xb3,0x3c,0x00},{0xb4,0x3d,0x00},
      {0xb5,0x3d,0x00},{0xb6,0x3e,0x00},{0xb7,0x3e,0x00},{0xb9,0x3f,0x00},
      {0xba,0x3f,0x00},{0xbb,0x3f,0x00},{0xbc,0x40,0x00},{0xbe,0x40,0x00},
      {0xbf,0x40,0x00},{0xc0,0x41,0x00},{0xc1,0x41,0x00},{0xc2,0x42,0x00},
      {0xc4,0x42,0x00},{0xc5,0x43,0x00},{0xc6,0x43,0x00},{0xc7,0x43,0x00},
      {0xc9,0x44,0x00},{0xca,0x44,0x00},{0xcb,0x45,0x00},{0xcc,0x45,0x00},
      {0xcd,0x45,0x00},{0xcf,0x46,0x00},{0xd0,0x46,0x00},{0xd1,0x47,0x00},
      {0xd2,0x47,0x00},{0xd4,0x48,0x00},{0xd5,0x48,0x00},{0xd6,0x48,0x00},
      {0xd7,0x49,0x00},{0xd8,0x49,0x00},{0xda,0x4a,0x00},{0xdb,0x4a,0x00},
      {0xdc,0x4a,0x00},{0xdd,0x4b,0x00},{0xdf,0x4b,0x00},{0xe0,0x4c,0x00},
      {0xe1,0x4c,0x00},{0xe2,0x4d,0x00},{0xe3,0x4d,0x00},{0xe5,0x4d,0x00},
      {0xe6,0x4e,0x00},{0xe7,0x4e,0x00},{0xe8,0x4f,0x00},{0xea,0x4f,0x00},
      {0xeb,0x4f,0x00},{0xec,0x50,0x00},{0xed,0x50,0x00},{0xee,0x51,0x00},
      {0xf0,0x51,0x00},{0xf1,0x52,0x00},{0xf2,0x52,0x00},{0xf3,0x52,0x00},
      {0xf4,0x53,0x00},{0xf6,0x53,0x00},{0xf7,0x54,0x00},{0xf8,0x54,0x00},
      {0xf9,0x54,0x00},{0xfa,0x55,0x00},{0xfc,0x55,0x00},{0xfd,0x56,0x00},
      {0xfe,0x56,0x00},{0xff,0x57,0x00},{0xff,0x57,0x00},{0xff,0x57,0x00},
      {0xff,0x58,0x00},{0xff,0x58,0x00},{0xff,0x59,0x00},{0xff,0x59,0x00},
      {0xff,0x59,0x00},{0xff,0x5a,0x00},{0xff,0x5a,0x00},{0xff,0x5b,0x00},
      {0xff,0x5b,0x00},{0xff,0x5c,0x00},{0xff,0x5c,0x00},{0xff,0x5c,0x00},
      {0xff,0x5d,0x00},{0xff,0x5d,0x00},{0xff,0x5e,0x00},{0xff,0x5e,0x00},
      {0xff,0x5e,0x00},{0xff,0x5f,0x00},{0xff,0x5f,0x00},{0xff,0x60,0x00},
      {0xff,0x60,0x00},{0xff,0x60,0x00},{0xff,0x61,0x00},{0xff,0x61,0x00},
      {0xff,0x62,0x00},{0xff,0x62,0x00},{0xff,0x62,0x00},{0xff,0x63,0x00},
      {0xff,0x63,0x00},{0xff,0x64,0x00},{0xff,0x64,0x00},{0xff,0x65,0x00},
      {0xff,0x65,0x00},{0xff,0x65,0x00},{0xff,0x66,0x00},{0xff,0x66,0x00},
      {0xff,0x67,0x00},{0xff,0x67,0x00},{0xff,0x67,0x00},{0xff,0x68,0x00},
      {0xff,0x68,0x00},{0xff,0x69,0x00},{0xff,0x69,0x00},{0xff,0x6a,0x00},
      {0xff,0x6a,0x00},{0xff,0x6a,0x00},{0xff,0x6b,0x00},{0xff,0x6b,0x00},
      {0xff,0x6c,0x00},{0xff,0x6c,0x00},{0xff,0x6c,0x00},{0xff,0x6d,0x00},
      {0xff,0x6d,0x00},{0xff,0x6e,0x00},{0xff,0x6e,0x00},{0xff,0x6f,0x00},
      {0xff,0x6f,0x00},{0xff,0x6f,0x00},{0xff,0x70,0x00},{0xff,0x70,0x00},
      {0xff,0x71,0x00},{0xff,0x71,0x00},{0xff,0x71,0x00},{0xff,0x72,0x00},
      {0xff,0x72,0x00},{0xff,0x73,0x00},{0xff,0x73,0x00},{0xff,0x74,0x00},
      {0xff,0x74,0x00},{0xff,0x74,0x00},{0xff,0x75,0x00},{0xff,0x75,0x00},
      {0xff,0x76,0x00},{0xff,0x76,0x00},{0xff,0x76,0x00},{0xff,0x77,0x00},
      {0xff,0x77,0x00},{0xff,0x78,0x00},{0xff,0x78,0x00},{0xff,0x79,0x00},
      {0xff,0x79,0x00},{0xff,0x79,0x00},{0xff,0x7a,0x00},{0xff,0x7a,0x00},
      {0xff,0x7b,0x00},{0xff,0x7b,0x00},{0xff,0x7b,0x00},{0xff,0x7c,0x00},
      {0xff,0x7c,0x00},{0xff,0x7d,0x00},{0xff,0x7d,0x00},{0xff,0x7e,0x00},
      {0xff,0x7e,0x00},{0xff,0x7e,0x00},{0xff,0x7f,0x00},{0xff,0x7f,0x00},
      {0xff,0x7f,0x00},{0xff,0x80,0x00},{0xff,0x80,0x00},{0xff,0x81,0x00},
      {0xff,0x81,0x00},{0xff,0x82,0x00},{0xff,0x82,0x00},{0xff,0x82,0x00},
      {0xff,0x83,0x00},{0xff,0x83,0x00},{0xff,0x84,0x00},{0xff,0x84,0x00},
      {0xff,0x84,0x00},{0xff,0x85,0x00},{0xff,0x85,0x00},{0xff,0x86,0x00},
      {0xff,0x86,0x00},{0xff,0x87,0x00},{0xff,0x87,0x00},{0xff,0x87,0x00},
      {0xff,0x88,0x00},{0xff,0x88,0x00},{0xff,0x89,0x00},{0xff,0x89,0x00},
      {0xff,0x89,0x00},{0xff,0x8a,0x00},{0xff,0x8a,0x00},{0xff,0x8b,0x00},
      {0xff,0x8b,0x00},{0xff,0x8c,0x00},{0xff,0x8c,0x00},{0xff,0x8c,0x00},
      {0xff,0x8d,0x00},{0xff,0x8d,0x00},{0xff,0x8e,0x00},{0xff,0x8e,0x00},
      {0xff,0x8e,0x00},{0xff,0x8f,0x00},{0xff,0x8f,0x00},{0xff,0x90,0x00},
      {0xff,0x90,0x00},{0xff,0x91,0x00},{0xff,0x91,0x00},{0xff,0x91,0x00},
      {0xff,0x92,0x00},{0xff,0x92,0x00},{0xff,0x93,0x00},{0xff,0x93,0x00},
      {0xff,0x93,0x00},{0xff,0x94,0x00},{0xff,0x94,0x00},{0xff,0x95,0x00},
      {0xff,0x95,0x00},{0xff,0x96,0x00},{0xff,0x96,0x00},{0xff,0x96,0x00},
      {0xff,0x97,0x00},{0xff,0x97,0x00},{0xff,0x98,0x00},{0xff,0x98,0x00},
      {0xff,0x98,0x00},{0xff,0x99,0x00},{0xff,0x99,0x00},{0xff,0x9a,0x00},
      {0xff,0x9a,0x00},{0xff,0x9b,0x00},{0xff,0x9b,0x00},{0xff,0x9b,0x00},
      {0xff,0x9c,0x00},{0xff,0x9c,0x00},{0xff,0x9d,0x00},{0xff,0x9d,0x00},
      {0xff,0x9d,0x00},{0xff,0x9e,0x00},{0xff,0x9e,0x00},{0xff,0x9f,0x00},
      {0xff,0x9f,0x00},{0xff,0x9f,0x00},{0xff,0xa0,0x00},{0xff,0xa0,0x00},
      {0xff,0xa1,0x00},{0xff,0xa1,0x00},{0xff,0xa2,0x00},{0xff,0xa2,0x00},
      {0xff,0xa2,0x00},{0xff,0xa3,0x00},{0xff,0xa3,0x00},{0xff,0xa4,0x00},
      {0xff,0xa4,0x00},{0xff,0xa4,0x00},{0xff,0xa5,0x00},{0xff,0xa5,0x00},
      {0xff,0xa6,0x01},{0xff,0xa6,0x02},{0xff,0xa7,0x04},{0xff,0xa7,0x05},
      {0xff,0xa7,0x06},{0xff,0xa8,0x07},{0xff,0xa8,0x08},{0xff,0xa9,0x0a},
      {0xff,0xa9,0x0b},{0xff,0xa9,0x0c},{0xff,0xaa,0x0d},{0xff,0xaa,0x0f},
      {0xff,0xab,0x10},{0xff,0xab,0x11},{0xff,0xab,0x12},{0xff,0xac,0x14},
      {0xff,0xac,0x15},{0xff,0xad,0x16},{0xff,0xad,0x18},{0xff,0xae,0x19},
      {0xff,0xae,0x1a},{0xff,0xae,0x1b},{0xff,0xaf,0x1c},{0xff,0xaf,0x1e},
      {0xff,0xb0,0x1f},{0xff,0xb0,0x20},{0xff,0xb0,0x21},{0xff,0xb1,0x23},
      {0xff,0xb1,0x24},{0xff,0xb2,0x25},{0xff,0xb2,0x27},{0xff,0xb3,0x28},
      {0xff,0xb3,0x29},{0xff,0xb3,0x2a},{0xff,0xb4,0x2c},{0xff,0xb4,0x2d},
      {0xff,0xb5,0x2e},{0xff,0xb5,0x2f},{0xff,0xb5,0x30},{0xff,0xb6,0x32},
      {0xff,0xb6,0x33},{0xff,0xb7,0x34},{0xff,0xb7,0x36},{0xff,0xb8,0x37},
      {0xff,0xb8,0x38},{0xff,0xb8,0x3a},{0xff,0xb9,0x3b},{0xff,0xb9,0x3c},
      {0xff,0xba,0x3d},{0xff,0xba,0x3e},{0xff,0xba,0x40},{0xff,0xbb,0x41},
      {0xff,0xbb,0x42},{0xff,0xbc,0x43},{0xff,0xbc,0x45},{0xff,0xbd,0x46},
      {0xff,0xbd,0x47},{0xff,0xbd,0x49},{0xff,0xbe,0x4a},{0xff,0xbe,0x4b},
      {0xff,0xbf,0x4c},{0xff,0xbf,0x4e},{0xff,0xbf,0x4f},{0xff,0xc0,0x50},
      {0xff,0xc0,0x51},{0xff,0xc1,0x52},{0xff,0xc1,0x54},{0xff,0xc1,0x55},
      {0xff,0xc2,0x56},{0xff,0xc2,0x58},{0xff,0xc3,0x59},{0xff,0xc3,0x5a},
      {0xff,0xc4,0x5b},{0xff,0xc4,0x5d},{0xff,0xc4,0x5e},{0xff,0xc5,0x5f},
      {0xff,0xc5,0x60},{0xff,0xc6,0x62},{0xff,0xc6,0x63},{0xff,0xc6,0x64},
      {0xff,0xc7,0x65},{0xff,0xc7,0x67},{0xff,0xc8,0x68},{0xff,0xc8,0x69},
      {0xff,0xc9,0x6b},{0xff,0xc9,0x6c},{0xff,0xc9,0x6d},{0xff,0xca,0x6e},
      {0xff,0xca,0x6f},{0xff,0xcb,0x71},{0xff,0xcb,0x72},{0xff,0xcb,0x73},
      {0xff,0xcc,0x74},{0xff,0xcc,0x76},{0xff,0xcd,0x77},{0xff,0xcd,0x78},
      {0xff,0xce,0x7a},{0xff,0xce,0x7b},{0xff,0xce,0x7c},{0xff,0xcf,0x7d},
      {0xff,0xcf,0x7f},{0xff,0xd0,0x80},{0xff,0xd0,0x81},{0xff,0xd0,0x82},
      {0xff,0xd1,0x83},{0xff,0xd1,0x85},{0xff,0xd2,0x86},{0xff,0xd2,0x87},
      {0xff,0xd3,0x89},{0xff,0xd3,0x8a},{0xff,0xd3,0x8b},{0xff,0xd4,0x8d},
      {0xff,0xd4,0x8e},{0xff,0xd5,0x8f},{0xff,0xd5,0x90},{0xff,0xd5,0x91},
      {0xff,0xd6,0x93},{0xff,0xd6,0x94},{0xff,0xd7,0x95},{0xff,0xd7,0x96},
      {0xff,0xd7,0x97},{0xff,0xd8,0x99},{0xff,0xd8,0x9a},{0xff,0xd9,0x9b},
      {0xff,0xd9,0x9d},{0xff,0xda,0x9e},{0xff,0xda,0x9f},{0xff,0xda,0xa1},
      {0xff,0xdb,0xa2},{0xff,0xdb,0xa3},{0xff,0xdc,0xa4},{0xff,0xdc,0xa5},
      {0xff,0xdc,0xa7},{0xff,0xdd,0xa8},{0xff,0xdd,0xa9},{0xff,0xde,0xaa},
      {0xff,0xde,0xac},{0xff,0xdf,0xad},{0xff,0xdf,0xae},{0xff,0xdf,0xb0},
      {0xff,0xe0,0xb1},{0xff,0xe0,0xb2},{0xff,0xe1,0xb3},{0xff,0xe1,0xb5},
      {0xff,0xe1,0xb6},{0xff,0xe2,0xb7},{0xff,0xe2,0xb8},{0xff,0xe3,0xb9},
      {0xff,0xe3,0xbb},{0xff,0xe3,0xbc},{0xff,0xe4,0xbd},{0xff,0xe4,0xbf},
      {0xff,0xe5,0xc0},{0xff,0xe5,0xc1},{0xff,0xe6,0xc2},{0xff,0xe6,0xc4},
      {0xff,0xe6,0xc5},{0xff,0xe7,0xc6},{0xff,0xe7,0xc7},{0xff,0xe8,0xc9},
      {0xff,0xe8,0xca},{0xff,0xe8,0xcb},{0xff,0xe9,0xcc},{0xff,0xe9,0xce},
      {0xff,0xea,0xcf},{0xff,0xea,0xd0},{0xff,0xeb,0xd2},{0xff,0xeb,0xd3},
      {0xff,0xeb,0xd4},{0xff,0xec,0xd5},{0xff,0xec,0xd6},{0xff,0xed,0xd8},
      {0xff,0xed,0xd9},{0xff,0xed,0xda},{0xff,0xee,0xdb},{0xff,0xee,0xdd},
      {0xff,0xef,0xde},{0xff,0xef,0xdf},{0xff,0xf0,0xe1},{0xff,0xf0,0xe2},
      {0xff,0xf0,0xe3},{0xff,0xf1,0xe4},{0xff,0xf1,0xe6},{0xff,0xf2,0xe7},
      {0xff,0xf2,0xe8},{0xff,0xf2,0xe9},{0xff,0xf3,0xea},{0xff,0xf3,0xec},
      {0xff,0xf4,0xed},{0xff,0xf4,0xee},{0xff,0xf5,0xf0},{0xff,0xf5,0xf1},
      {0xff,0xf5,0xf2},{0xff,0xf6,0xf4},{0xff,0xf6,0xf5},{0xff,0xf7,0xf6},
      {0xff,0xf7,0xf7},{0xff,0xf7,0xf8},{0xff,0xf8,0xfa},{0xff,0xf8,0xfb},
      {0xff,0xf9,0xfc},{0xff,0xf9,0xfd},{0xff,0xfa,0xff},{0xff,0xfa,0xff},
      {0xff,0xfa,0xff},{0xff,0xfb,0xff},{0xff,0xfb,0xff},{0xff,0xfc,0xff},
      {0xff,0xfc,0xff},{0xff,0xfc,0xff},{0xff,0xfd,0xff},{0xff,0xfd,0xff},
      {0xff,0xfe,0xff}
    }
  },
  /* 6 COOL */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x00,0x01},{0x00,0x00,0x02},{0x00,0x00,0x03},
      {0x00,0x00,0x03},{0x00,0x00,0x04},{0x00,0x00,0x05},{0x00,0x00,0x06},
      {0x00,0x00,0x06},{0x00,0x00,0x07},{0x00,0x00,0x08},{0x00,0x00,0x09},
      {0x00,0x00,0x0a},{0x00,0x00,0x0a},{0x00,0x00,0x0b},{0x00,0x00,0x0c},
      {0x00,0x00,0x0d},{0x00,0x00,0x0d},{0x00,0x00,0x0e},{0x00,0x00,0x0f},
      {0x00,0x00,0x10},{0x00,0x00,0x11},{0x00,0x00,0x11},{0x00,0x00,0x12},
      {0x00,0x00,0x13},{0x00,0x00,0x14},{0x00,0x00,0x14},{0x00,0x00,0x15},
      {0x00,0x00,0x16},{0x00,0x00,0x17},{0x00,0x00,0x18},{0x00,0x00,0x18},
      {0x00,0x00,0x19},{0x00,0x00,0x1a},{0x00,0x00,0x1b},{0x00,0x00,0x1b},
      {0x00,0x00,0x1c},{0x00,0x00,0x1d},{0x00,0x00,0x1e},{0x00,0x00,0x1f},
      {0x00,0x00,0x1f},{0x00,0x00,0x20},{0x00,0x00,0x21},{0x00,0x00,0x22},
      {0x00,0x00,0x23},{0x00,0x00,0x23},{0x00,0x00,0x24},{0x00,0x00,0x25},
      {0x00,0x00,0x26},{0x00,0x00,0x26},{0x00,0x00,0x27},{0x00,0x00,0x28},
      {0x00,0x00,0x29},{0x00,0x00,0x2a},{0x00,0x00,0x2a},{0x00,0x00,0x2b},
      {0x00,0x00,0x2c},{0x00,0x00,0x2d},{0x00,0x00,0x2e},{0x00,0x00,0x2e},
      {0x00,0x00,0x2f},{0x00,0x00,0x30},{0x00,0x00,0x31},{0x00,0x00,0x32},
      {0x00,0x00,0x32},{0x00,0x00,0x33},{0x00,0x00,0x34},{0x00,0x00,0x35},
      {0x00,0x00,0x35},{0x00,0x00,0x36},{0x00,0x00,0x37},{0x00,0x00,0x38},
      {0x00,0x00,0x39},{0x00,0x00,0x39},{0x00,0x00,0x3a},{0x00,0x00,0x3b},
      {0x00,0x00,0x3c},{0x00,0x00,0x3c},{0x00,0x00,0x3d},{0x00,0x00,0x3e},
      {0x00,0x00,0x3f},{0x00,0x00,0x40},{0x00,0x00,0x40},{0x00,0x00,0x41},
      {0x00,0x00,0x42},{0x00,0x00,0x43},{0x00,0x00,0x43},{0x00,0x00,0x44},
      {0x00,0x00,0x45},{0x00,0x00,0x46},{0x00,0x00,0x47},{0x00,0x00,0x47},
      {0x00,0x00,0x48},{0x00,0x00,0x49},{0x00,0x00,0x4a},{0x00,0x00,0x4a},
      {0x00,0x00,0x4b},{0x00,0x00,0x4c},{0x00,0x00,0x4d},{0x00,0x00,0x4e},
      {0x00,0x00,0x4e},{0x00,0x00,0x4f},{0x00,0x00,0x50},{0x00,0x00,0x51},
      {0x00,0x00,0x51},{0x00,0x00,0x52},{0x00,0x00,0x53},{0x00,0x00,0x54},
      {0x00,0x00,0x55},{0x00,0x00,0x55},{0x00,0x00,0x56},{0x00,0x00,0x57},
      {0x00,0x00,0x58},{0x00,0x00,0x59},{0x00,0x00,0x59},{0x00,0x00,0x5a},
      {0x00,0x00,0x5b},{0x00,0x00,0x5c},{0x00,0x00,0x5d},{0x00,0x00,0x5d},
      {0x00,0x00,0x5e},{0x00,0x00,0x5f},{0x00,0x00,0x60},{0x00,0x00,0x60},
      {0x00,0x00,0x61},{0x00,0x00,0x62},{0x00,0x00,0x63},{0x00,0x00,0x64},
      {0x00,0x00,0x64},{0x00,0x00,0x65},{0x00,0x00,0x66},{0x00,0x00,0x67},
      {0x00,0x00,0x67},{0x00,0x00,0x68},{0x00,0x00,0x69},{0x00,0x00,0x6a},
      {0x00,0x00,0x6b},{0x00,0x01,0x6b},{0x00,0x01,0x6c},{0x00,0x02,0x6d},
      {0x00,0x03,0x6e},{0x00,0x03,0x6e},{0x00,0x04,0x6f},{0x00,0x04,0x70},
      {0x00,0x05,0x71},{0x00,0x05,0x72},{0x00,0x06,0x72},{0x00,0x06,0x73},
      {0x00,0x07,0x74},{0x00,0x08,0x75},{0x00,0x08,0x75},{0x00,0x09,0x76},
      {0x00,0x09,0x77},{0x00,0x0a,0x78},{0x00,0x0b,0x79},{0x00,0x0b,0x79},
      {0x00,0x0c,0x7a},{0x00,0x0c,0x7b},{0x00,0x0d,0x7c},{0x00,0x0d,0x7c},
      {0x00,0x0e,0x7d},{0x00,0x0e,0x7e},{0x00,0x0f,0x7f},{0x00,0x10,0x80},
      {0x00,0x10,0x80},{0x00,0x11,0x81},{0x00,0x11,0x82},{0x00,0x12,0x83},
      {0x00,0x12,0x84},{0x00,0x13,0x84},{0x00,0x13,0x85},{0x00,0x14,0x86},
      {0x00,0x15,0x87},{0x00,0x15,0x88},{0x00,0x16,0x88},{0x00,0x16,0x89},
      {0x00,0x17,0x8a},{0x00,0x17,0x8b},{0x00,0x18,0x8c},{0x00,0x18,0x8c},
      {0x00,0x19,0x8d},{0x00,0x1a,0x8e},{0x00,0x1a,0x8f},{0x00,0x1b,0x8f},
      {0x00,0x1b,0x90},{0x00,0x1c,0x91},{0x00,0x1c,0x92},{0x00,0x1d,0x93},
      {0x00,0x1e,0x93},{0x01,0x1e,0x94},{0x01,0x1f,0x95},{0x01,0x1f,0x96},
      {0x01,0x20,0x96},{0x01,0x20,0x97},{0x01,0x21,0x98},{0x01,0x21,0x99},
      {0x01,0x22,0x9a},{0x01,0x23,0x9a},{0x01,0x23,0x9b},{0x01,0x24,0x9c},
      {0x01,0x24,0x9d},{0x02,0x25,0x9d},{0x02,0x25,0x9e},{0x02,0x26,0x9f},
      {0x02,0x26,0xa0},{0x02,0x27,0xa0},{0x02,0x28,0xa1},{0x02,0x28,0xa2},
      {0x02,0x29,0xa3},{0x02,0x29,0xa4},{0x02,0x2a,0xa4},{0x02,0x2a,0xa5},
      {0x03,0x2b,0xa6},{0x03,0x2b,0xa7},{0x03,0x2c,0xa7},{0x03,0x2d,0xa8},
      {0x03,0x2d,0xa9},{0x03,0x2e,0xaa},{0x03,0x2e,0xab},{0x03,0x2f,0xab},
      {0x03,0x2f,0xac},{0x03,0x30,0xad},{0x03,0x31,0xae},{0x04,0x31,0xaf},
      {0x04,0x32,0xaf},{0x04,0x32,0xb0},{0x04,0x33,0xb1},{0x04,0x33,0xb2},
      {0x04,0x34,0xb3},{0x04,0x34,0xb3},{0x04,0x35,0xb4},{0x04,0x36,0xb5},
      {0x04,0x36,0xb6},{0x04,0x37,0xb7},{0x04,0x37,0xb7},{0x05,0x38,0xb8},
      {0x05,0x38,0xb9},{0x05,0x39,0xba},{0x05,0x39,0xba},{0x05,0x3a,0xbb},
      {0x05,0x3b,0xbc},{0x05,0x3b,0xbd},{0x05,0x3c,0xbe},{0x05,0x3c,0xbe},
      {0x05,0x3d,0xbf},{0x05,0x3d,0xc0},{0x06,0x3e,0xc1},{0x06,0x3f,0xc1},
      {0x06,0x3f,0xc2},{0x06,0x40,0xc3},{0x06,0x40,0xc4},{0x06,0x41,0xc5},
      {0x06,0x41,0xc5},{0x06,0x42,0xc6},{0x06,0x43,0xc7},{0x06,0x43,0xc8},
      {0x06,0x44,0xc8},{0x07,0x44,0xc9},{0x07,0x45,0xca},{0x07,0x45,0xcb},
      {0x07,0x46,0xcc},{0x07,0x46,0xcc},{0x07,0x47,0xcd},{0x07,0x48,0xce},
      {0x07,0x48,0xcf},{0x07,0x49,0xcf},{0x07,0x49,0xd0},{0x07,0x4a,0xd1},
      {0x07,0x4a,0xd2},{0x08,0x4b,0xd3},{0x08,0x4b,0xd3},{0x08,0x4c,0xd4},
      {0x08,0x4d,0xd5},{0x08,0x4d,0xd6},{0x08,0x4e,0xd6},{0x08,0x4e,0xd7},
      {0x08,0x4f,0xd8},{0x08,0x4f,0xd9},{0x08,0x50,0xda},{0x08,0x51,0xda},
      {0x09,0x51,0xdb},{0x09,0x52,0xdc},{0x09,0x52,0xdd},{0x09,0x53,0xde},
      {0x09,0x53,0xde},{0x09,0x54,0xdf},{0x09,0x54,0xe0},{0x09,0x55,0xe1},
      {0x09,0x56,0xe2},{0x09,0x56,0xe2},{0x09,0x57,0xe3},{0x0a,0x57,0xe4},
      {0x0a,0x58,0xe5},{0x0a,0x58,0xe5},{0x0a,0x59,0xe6},{0x0a,0x59,0xe7},
      {0x0a,0x5a,0xe8},{0x0a,0x5b,0xe9},{0x0a,0x5b,0xe9},{0x0a,0x5c,0xea},
      {0x0a,0x5c,0xeb},{0x0a,0x5d,0xec},{0x0a,0x5d,0xed},{0x0b,0x5e,0xed},
      {0x0b,0x5e,0xee},{0x0b,0x5f,0xef},{0x0b,0x60,0xf0},{0x0b,0x60,0xf0},
      {0x0b,0x61,0xf1},{0x0b,0x61,0xf2},{0x0b,0x62,0xf3},{0x0b,0x62,0xf3},
      {0x0b,0x63,0xf4},{0x0b,0x64,0xf5},{0x0c,0x64,0xf6},{0x0c,0x65,0xf7},
      {0x0c,0x65,0xf7},{0x0c,0x66,0xf8},{0x0c,0x66,0xf9},{0x0c,0x67,0xfa},
      {0x0c,0x67,0xfa},{0x0c,0x68,0xfb},{0x0c,0x69,0xfc},{0x0c,0x69,0xfd},
      {0x0c,0x6a,0xfe},{0x0d,0x6a,0xfe},{0x0d,0x6b,0xff},{0x0d,0x6b,0xff},
      {0x0d,0x6c,0xff},{0x0d,0x6c,0xff},{0x0d,0x6d,0xff},{0x0d,0x6e,0xff},
      {0x0d,0x6e,0xff},{0x0d,0x6f,0xff},{0x0d,0x6f,0xff},{0x0d,0x70,0xff},
      {0x0d,0x70,0xff},{0x0e,0x71,0xff},{0x0e,0x71,0xff},{0x0e,0x72,0xff},
      {0x0e,0x73,0xff},{0x0e,0x73,0xff},{0x0e,0x74,0xff},{0x0e,0x74,0xff},
      {0x0e,0x75,0xff},{0x0e,0x76,0xff},{0x0e,0x76,0xff},{0x0e,0x77,0xff},
      {0x0f,0x77,0xff},{0x0f,0x78,0xff},{0x0f,0x78,0xff},{0x0f,0x79,0xff},
      {0x0f,0x79,0xff},{0x0f,0x7a,0xff},{0x0f,0x7b,0xff},{0x0f,0x7b,0xff},
      {0x0f,0x7c,0xff},{0x0f,0x7c,0xff},{0x0f,0x7d,0xff},{0x10,0x7d,0xff},
      {0x10,0x7e,0xff},{0x10,0x7e,0xff},{0x10,0x7f,0xff},{0x10,0x80,0xff},
      {0x10,0x80,0xff},{0x10,0x81,0xff},{0x10,0x81,0xff},{0x10,0x82,0xff},
      {0x10,0x82,0xff},{0x10,0x83,0xff},{0x10,0x83,0xff},{0x11,0x84,0xff},
      {0x11,0x85,0xff},{0x11,0x85,0xff},{0x11,0x86,0xff},{0x11,0x86,0xff},
      {0x11,0x87,0xff},{0x11,0x87,0xff},{0x11,0x88,0xff},{0x11,0x89,0xff},
      {0x11,0x89,0xff},{0x11,0x8a,0xff},{0x12,0x8a,0xff},{0x12,0x8b,0xff},
      {0x12,0x8b,0xff},{0x12,0x8c,0xff},{0x12,0x8c,0xff},{0x12,0x8d,0xff},
      {0x12,0x8e,0xff},{0x12,0x8e,0xff},{0x12,0x8f,0xff},{0x12,0x8f,0xff},
      {0x12,0x90,0xff},{0x13,0x90,0xff},{0x13,0x91,0xff},{0x13,0x91,0xff},
      {0x13,0x92,0xff},{0x13,0x93,0xff},{0x13,0x93,0xff},{0x13,0x94,0xff},
      {0x13,0x94,0xff},{0x13,0x95,0xff},{0x13,0x95,0xff},{0x13,0x96,0xff},
      {0x13,0x97,0xff},{0x14,0x97,0xff},{0x14,0x98,0xff},{0x14,0x98,0xff},
      {0x14,0x99,0xff},{0x14,0x99,0xff},{0x14,0x9a,0xff},{0x14,0x9a,0xff},
      {0x14,0x9b,0xff},{0x14,0x9c,0xff},{0x14,0x9c,0xff},{0x14,0x9d,0xff},
      {0x15,0x9d,0xff},{0x15,0x9e,0xff},{0x15,0x9e,0xff},{0x15,0x9f,0xff},
      {0x15,0x9f,0xff},{0x15,0xa0,0xff},{0x15,0xa1,0xff},{0x15,0xa1,0xff},
      {0x15,0xa2,0xff},{0x15,0xa2,0xff},{0x15,0xa3,0xff},{0x16,0xa3,0xff},
      {0x16,0xa4,0xff},{0x16,0xa4,0xff},{0x16,0xa5,0xff},{0x16,0xa6,0xff},
      {0x16,0xa6,0xff},{0x16,0xa7,0xff},{0x16,0xa7,0xff},{0x16,0xa8,0xff},
      {0x16,0xa9,0xff},{0x16,0xa9,0xff},{0x16,0xaa,0xff},{0x17,0xaa,0xff},
      {0x17,0xab,0xff},{0x17,0xab,0xff},{0x17,0xac,0xff},{0x17,0xac,0xff},
      {0x17,0xad,0xff},{0x17,0xae,0xff},{0x17,0xae,0xff},{0x17,0xaf,0xff},
      {0x17,0xaf,0xff},{0x17,0xb0,0xff},{0x18,0xb0,0xff},{0x18,0xb1,0xff},
      {0x18,0xb1,0xff},{0x18,0xb2,0xff},{0x18,0xb3,0xff},{0x18,0xb3,0xff},
      {0x18,0xb4,0xff},{0x18,0xb4,0xff},{0x18,0xb5,0xff},{0x18,0xb5,0xff},
      {0x18,0xb6,0xff},{0x19,0xb6,0xff},{0x19,0xb7,0xff},{0x19,0xb8,0xff},
      {0x19,0xb8,0xff},{0x19,0xb9,0xff},{0x19,0xb9,0xff},{0x1a,0xba,0xff},
      {0x1b,0xba,0xff},{0x1d,0xbb,0xff},{0x1e,0xbc,0xff},{0x20,0xbc,0xff},
      {0x22,0xbd,0xff},{0x23,0xbd,0xff},{0x24,0xbe,0xff},{0x26,0xbe,0xff},
      {0x28,0xbf,0xff},{0x29,0xbf,0xff},{0x2b,0xc0,0xff},{0x2c,0xc1,0xff},
      {0x2e,0xc1,0xff},{0x30,0xc2,0xff},{0x31,0xc2,0xff},{0x32,0xc3,0xff},
      {0x34,0xc3,0xff},{0x36,0xc4,0xff},{0x37,0xc4,0xff},{0x39,0xc5,0xff},
      {0x3a,0xc6,0xff},{0x3c,0xc6,0xff},{0x3e,0xc7,0xff},{0x3f,0xc7,0xff},
      {0x40,0xc8,0xff},{0x42,0xc8,0xff},{0x44,0xc9,0xff},{0x45,0xc9,0xff},
      {0x47,0xca,0xff},{0x48,0xcb,0xff},{0x4a,0xcb,0xff},{0x4c,0xcc,0xff},
      {0x4d,0xcc,0xff},{0x4e,0xcd,0xff},{0x50,0xce,0xff},{0x52,0xce,0xff},
      {0x53,0xcf,0xff},{0x55,0xcf,0xff},{0x56,0xd0,0xff},{0x58,0xd0,0xff},
      {0x5a,0xd1,0xff},{0x5b,0xd1,0xff},{0x5c,0xd2,0xff},{0x5e,0xd3,0xff},
      {0x60,0xd3,0xff},{0x61,0xd4,0xff},{0x63,0xd4,0xff},{0x64,0xd5,0xff},
      {0x66,0xd5,0xff},{0x67,0xd6,0xff},{0x69,0xd6,0xff},{0x6a,0xd7,0xff},
      {0x6c,0xd7,0xff},{0x6e,0xd8,0xff},{0x6f,0xd9,0xff},{0x71,0xd9,0xff},
      {0x72,0xda,0xff},{0x74,0xda,0xff},{0x75,0xdb,0xff},{0x77,0xdb,0xff},
      {0x78,0xdc,0xff},{0x7a,0xdc,0xff},{0x7c,0xdd,0xff},{0x7d,0xde,0xff},
      {0x7f,0xde,0xff},{0x80,0xdf,0xff},{0x82,0xdf,0xff},{0x83,0xe0,0xff},
      {0x85,0xe1,0xff},{0x87,0xe1,0xff},{0x88,0xe2,0xff},{0x8a,0xe2,0xff},
      {0x8b,0xe3,0xff},{0x8d,0xe3,0xff},{0x8e,0xe4,0xff},{0x90,0xe4,0xff},
      {0x91,0xe5,0xff},{0x93,0xe6,0xff},{0x95,0xe6,0xff},{0x96,0xe7,0xff},
      {0x98,0xe7,0xff},{0x99,0xe8,0xff},{0x9b,0xe8,0xff},{0x9c,0xe9,0xff},
      {0x9e,0xe9,0xff},{0x9f,0xea,0xff},{0xa1,0xeb,0xff},{0xa3,0xeb,0xff},
      {0xa4,0xec,0xff},{0xa6,0xec,0xff},{0xa7,0xed,0xff},{0xa9,0xed,0xff},
      {0xaa,0xee,0xff},{0xac,0xef,0xff},{0xad,0xef,0xff},{0xaf,0xf0,0xff},
      {0xb1,0xf0,0xff},{0xb2,0xf1,0xff},{0xb4,0xf1,0xff},{0xb5,0xf2,0xff},
      {0xb7,0xf2,0xff},{0xb8,0xf3,0xff},{0xba,0xf4,0xff},{0xbb,0xf4,0xff},
      {0xbd,0xf5,0xff},{0xbf,0xf5,0xff},{0xc0,0xf6,0xff},{0xc2,0xf6,0xff},
      {0xc3,0xf7,0xff},{0xc5,0xf7,0xff},{0xc6,0xf8,0xff},{0xc8,0xf9,0xff},
      {0xc9,0xf9,0xff},{0xcb,0xfa,0xff},{0xcd,0xfa,0xff},{0xce,0xfb,0xff},
      {0xd0,0xfb,0xff},{0xd1,0xfc,0xff},{0xd3,0xfc,0xff},{0xd4,0xfd,0xff},
      {0xd6,0xfe,0xff},{0xd7,0xfe,0xff},{0xd9,0xff,0xff},{0xdb,0xff,0xff},
      {0xdc,0xff,0xff},{0xde,0xff,0xff},{0xdf,0xff,0xff},{0xe1,0xff,0xff},
      {0xe2,0xff,0xff},{0xe4,0xff,0xff},{0xe5,0xff,0xff},{0xe7,0xff,0xff},
      {0xe9,0xff,0xff},{0xea,0xff,0xff},{0xec,0xff,0xff},{0xed,0xff,0xff},
      {0xef,0xff,0xff},{0xf0,0xff,0xff},{0xf2,0xff,0xff},{0xf3,0xff,0xff},
      {0xf5,0xff,0xff},{0xf7,0xff,0xff},{0xf8,0xff,0xff},{0xfa,0xff,0xff},
      {0xfb,0xff,0xff}
    }
  },
  /* 7 RAINBOW */
  { 0,
    { {0xfd,0x00,0xff},{0xfb,0x00,0xff},{0xf9,0x00,0xff},{0xf6,0x00,0xff},
      {0xf5,0x00,0xff},{0xf3,0x00,0xff},{0xf0,0x00,0xff},{0xee,0x00,0xff},
      {0xec,0x00,0xff},{0xea,0x00,0xff},{0xe8,0x00,0xff},{0xe6,0x00,0xff},
      {0xe4,0x00,0xff},{0xe2,0x00,0xff},{0xe0,0x00,0xff},{0xde,0x00,0xff},
      {0xdc,0x00,0xff},{0xda,0x00,0xff},{0xd7,0x00,0xff},{0xd5,0x00,0xff},
      {0xd4,0x00,0xff},{0xd1,0x00,0xff},{0xcf,0x00,0xff},{0xcd,0x00,0xff},
      {0xcb,0x00,0xff},{0xc9,0x00,0xff},{0xc7,0x00,0xff},{0xc5,0x00,0xff},
      {0xc3,0x00,0xff},{0xc1,0x00,0xff},{0xbe,0x00,0xff},{0xbd,0x00,0xff},
      {0xbb,0x00,0xff},{0xb8,0x00,0xff},{0xb6,0x00,0xff},{0xb4,0x00,0xff},
      {0xb2,0x00,0xff},{0xb0,0x00,0xff},{0xae,0x00,0xff},{0xac,0x00,0xff},
      {0xaa,0x00,0xff},{0xa8,0x00,0xff},{0xa5,0x00,0xff},{0xa4,0x00,0xff},
      {0xa2,0x00,0xff},{0x9f,0x00,0xff},{0x9d,0x00,0xff},{0x9c,0x00,0xff},
      {0x99,0x00,0xff},{0x97,0x00,0xff},{0x95,0x00,0xff},{0x93,0x00,0xff},
      {0x91,0x00,0xff},{0x8f,0x00,0xff},{0x8d,0x00,0xff},{0x8b,0x00,0xff},
      {0x89,0x00,0xff},{0x86,0x00,0xff},{0x84,0x00,0xff},{0x83,0x00,0xff},
      {0x80,0x00,0xff},{0x7e,0x00,0xff},{0x7c,0x00,0xff},{0x7a,0x00,0xff},
      {0x78,0x00,0xff},{0x76,0x00,0xff},{0x74,0x00,0xff},{0x72,0x00,0xff},
      {0x70,0x00,0xff},{0x6d,0x00,0xff},{0x6c,0x00,0xff},{0x6a,0x00,0xff},
      {0x67,0x00,0xff},{0x65,0x00,0xff},{0x63,0x00,0xff},{0x61,0x00,0xff},
      {0x5f,0x00,0xff},{0x5d,0x00,0xff},{0x5b,0x00,0xff},{0x59,0x00,0xff},
      {0x57,0x00,0xff},{0x55,0x00,0xff},{0x53,0x00,0xff},{0x51,0x00,0xff},
      {0x4e,0x00,0xff},{0x4c,0x00,0xff},{0x4b,0x00,0xff},{0x48,0x00,0xff},
      {0x46,0x00,0xff},{0x44,0x00,0xff},{0x42,0x00,0xff},{0x40,0x00,0xff},
      {0x3e,0x00,0xff},{0x3c,0x00,0xff},{0x3a,0x00,0xff},{0x38,0x00,0xff},
      {0x35,0x00,0xff},{0x34,0x00,0xff},{0x32,0x00,0xff},{0x2f,0x00,0xff},
      {0x2d,0x00,0xff},{0x2b,0x00,0xff},{0x2a,0x00,0xff},{0x27,0x00,0xff},
      {0x25,0x00,0xff},{0x23,0x00,0xff},{0x21,0x00,0xff},{0x1f,0x00,0xff},
      {0x1d,0x00,0xff},{0x1b,0x00,0xff},{0x19,0x00,0xff},{0x17,0x00,0xff},
      {0x14,0x00,0xff},{0x13,0x00,0xff},{0x11,0x00,0xff},{0x0e,0x00,0xff},
      {0x0c,0x00,0xff},{0x0a,0x00,0xff},{0x08,0x00,0xff},{0x06,0x00,0xff},
      {0x04,0x00,0xff},{0x02,0x00,0xff},{0x00,0x00,0xff},{0x00,0x01,0xff},
      {0x00,0x03,0xff},{0x00,0x05,0xff},{0x00,0x07,0xff},{0x00,0x0a,0xff},
      {0x00,0x0c,0xff},{0x00,0x0d,0xff},{0x00,0x10,0xff},{0x00,0x12,0xff},
      {0x00,0x14,0xff},{0x00,0x16,0xff},{0x00,0x18,0xff},{0x00,0x1a,0xff},
      {0x00,0x1c,0xff},{0x00,0x1e,0xff},{0x00,0x20,0xff},{0x00,0x23,0xff},
      {0x00,0x24,0xff},{0x00,0x26,0xff},{0x00,0x29,0xff},{0x00,0x2b,0xff},
      {0x00,0x2d,0xff},{0x00,0x2f,0xff},{0x00,0x31,0xff},{0x00,0x33,0xff},
      {0x00,0x35,0xff},{0x00,0x37,0xff},{0x00,0x39,0xff},{0x00,0x3c,0xff},
      {0x00,0x3d,0xff},{0x00,0x3f,0xff},{0x00,0x42,0xff},{0x00,0x44,0xff},
      {0x00,0x45,0xff},{0x00,0x48,0xff},{0x00,0x4a,0xff},{0x00,0x4c,0xff},
      {0x00,0x4e,0xff},{0x00,0x50,0xff},{0x00,0x52,0xff},{0x00,0x54,0xff},
      {0x00,0x56,0xff},{0x00,0x58,0xff},{0x00,0x5b,0xff},{0x00,0x5d,0xff},
      {0x00,0x5e,0xff},{0x00,0x61,0xff},{0x00,0x63,0xff},{0x00,0x65,0xff},
      {0x00,0x67,0xff},{0x00,0x69,0xff},{0x00,0x6b,0xff},{0x00,0x6d,0xff},
      {0x00,0x6f,0xff},{0x00,0x71,0xff},{0x00,0x74,0xff},{0x00,0x75,0xff},
      {0x00,0x77,0xff},{0x00,0x7a,0xff},{0x00,0x7c,0xff},{0x00,0x7e,0xff},
      {0x00,0x80,0xff},{0x00,0x82,0xff},{0x00,0x84,0xff},{0x00,0x86,0xff},
      {0x00,0x88,0xff},{0x00,0x8a,0xff},{0x00,0x8c,0xff},{0x00,0x8e,0xff},
      {0x00,0x90,0xff},{0x00,0x93,0xff},{0x00,0x95,0xff},{0x00,0x96,0xff},
      {0x00,0x99,0xff},{0x00,0x9b,0xff},{0x00,0x9d,0xff},{0x00,0x9f,0xff},
      {0x00,0xa1,0xff},{0x00,0xa3,0xff},{0x00,0xa5,0xff},{0x00,0xa7,0xff},
      {0x00,0xa9,0xff},{0x00,0xab,0xff},{0x00,0xad,0xff},{0x00,0xaf,0xff},
      {0x00,0xb1,0xff},{0x00,0xb4,0xff},{0x00,0xb6,0xff},{0x00,0xb7,0xff},
      {0x00,0xba,0xff},{0x00,0xbc,0xff},{0x00,0xbe,0xff},{0x00,0xc0,0xff},
      {0x00,0xc2,0xff},{0x00,0xc4,0xff},{0x00,0xc6,0xff},{0x00,0xc8,0xff},
      {0x00,0xca,0xff},{0x00,0xcd,0xff},{0x00,0xce,0xff},{0x00,0xd0,0xff},
      {0x00,0xd3,0xff},{0x00,0xd5,0xff},{0x00,0xd7,0xff},{0x00,0xd9,0xff},
      {0x00,0xdb,0xff},{0x00,0xdd,0xff},{0x00,0xdf,0xff},{0x00,0xe1,0xff},
      {0x00,0xe3,0xff},{0x00,0xe5,0xff},{0x00,0xe7,0xff},{0x00,0xe9,0xff},
      {0x00,0xec,0xff},{0x00,0xee,0xff},{0x00,0xef,0xff},{0x00,0xf2,0xff},
      {0x00,0xf4,0xff},{0x00,0xf6,0xff},{0x00,0xf8,0xff},{0x00,0xfa,0xff},
      {0x00,0xfc,0xff},{0x00,0xfe,0xff},{0x00,0xff,0xfd},{0x00,0xff,0xfb},
      {0x00,0xff,0xf8},{0x00,0xff,0xf7},{0x00,0xff,0xf5},{0x00,0xff,0xf2},
      {0x00,0xff,0xf0},{0x00,0xff,0xee},{0x00,0xff,0xec},{0x00,0xff,0xea},
      {0x00,0xff,0xe8},{0x00,0xff,0xe6},{0x00,0xff,0xe4},{0x00,0xff,0xe2},
      {0x00,0xff,0xdf},{0x00,0xff,0xde},{0x00,0xff,0xdc},{0x00,0xff,0xd9},
      {0x00,0xff,0xd7},{0x00,0xff,0xd6},{0x00,0xff,0xd3},{0x00,0xff,0xd1},
      {0x00,0xff,0xcf},{0x00,0xff,0xcd},{0x00,0xff,0xcb},{0x00,0xff,0xc9},
      {0x00,0xff,0xc7},{0x00,0xff,0xc5},{0x00,0xff,0xc3},{0x00,0xff,0xc0},
      {0x00,0xff,0xbf},{0x00,0xff,0xbd},{0x00,0xff,0xba},{0x00,0xff,0xb8},
      {0x00,0xff,0xb6},{0x00,0xff,0xb4},{0x00,0xff,0xb2},{0x00,0xff,0xb0},
      {0x00,0xff,0xae},{0x00,0xff,0xac},{0x00,0xff,0xaa},{0x00,0xff,0xa7},
      {0x00,0xff,0xa6},{0x00,0xff,0xa4},{0x00,0xff,0xa1},{0x00,0xff,0x9f},
      {0x00,0xff,0x9e},{0x00,0xff,0x9b},{0x00,0xff,0x99},{0x00,0xff,0x97},
      {0x00,0xff,0x95},{0x00,0xff,0x93},{0x00,0xff,0x91},{0x00,0xff,0x8f},
      {0x00,0xff,0x8d},{0x00,0xff,0x8b},{0x00,0xff,0x88},{0x00,0xff,0x86},
      {0x00,0xff,0x85},{0x00,0xff,0x82},{0x00,0xff,0x80},{0x00,0xff,0x7e},
      {0x00,0xff,0x7d},{0x00,0xff,0x7a},{0x00,0xff,0x78},{0x00,0xff,0x76},
      {0x00,0xff,0x74},{0x00,0xff,0x72},{0x00,0xff,0x70},{0x00,0xff,0x6e},
      {0x00,0xff,0x6c},{0x00,0xff,0x6a},{0x00,0xff,0x67},{0x00,0xff,0x65},
      {0x00,0xff,0x64},{0x00,0xff,0x61},{0x00,0xff,0x5f},{0x00,0xff,0x5d},
      {0x00,0xff,0x5b},{0x00,0xff,0x59},{0x00,0xff,0x57},{0x00,0xff,0x55},
      {0x00,0xff,0x53},{0x00,0xff,0x51},{0x00,0xff,0x4e},{0x00,0xff,0x4d},
      {0x00,0xff,0x4b},{0x00,0xff,0x48},{0x00,0xff,0x46},{0x00,0xff,0x44},
      {0x00,0xff,0x42},{0x00,0xff,0x40},{0x00,0xff,0x3e},{0x00,0xff,0x3c},
      {0x00,0xff,0x3a},{0x00,0xff,0x38},{0x00,0xff,0x36},{0x00,0xff,0x34},
      {0x00,0xff,0x32},{0x00,0xff,0x2f},{0x00,0xff,0x2d},{0x00,0xff,0x2c},
      {0x00,0xff,0x29},{0x00,0xff,0x27},{0x00,0xff,0x25},{0x00,0xff,0x23},
      {0x00,0xff,0x21},{0x00,0xff,0x1f},{0x00,0xff,0x1d},{0x00,0xff,0x1b},
      {0x00,0xff,0x19},{0x00,0xff,0x16},{0x00,0xff,0x15},{0x00,0xff,0x13},
      {0x00,0xff,0x10},{0x00,0xff,0x0e},{0x00,0xff,0x0c},{0x00,0xff,0x0a},
      {0x00,0xff,0x08},{0x00,0xff,0x06},{0x00,0xff,0x04},{0x00,0xff,0x02},
      {0x00,0xff,0x00},{0x01,0xff,0x00},{0x03,0xff,0x00},{0x05,0xff,0x00},
      {0x08,0xff,0x00},{0x0a,0xff,0x00},{0x0b,0xff,0x00},{0x0e,0xff,0x00},
      {0x10,0xff,0x00},{0x12,0xff,0x00},{0x14,0xff,0x00},{0x16,0xff,0x00},
      {0x18,0xff,0x00},{0x1a,0xff,0x00},{0x1c,0xff,0x00},{0x1e,0xff,0x00},
      {0x21,0xff,0x00},{0x22,0xff,0x00},{0x24,0xff,0x00},{0x27,0xff,0x00},
      {0x29,0xff,0x00},{0x2b,0xff,0x00},{0x2d,0xff,0x00},{0x2f,0xff,0x00},
      {0x31,0xff,0x00},{0x33,0xff,0x00},{0x35,0xff,0x00},{0x37,0xff,0x00},
      {0x3a,0xff,0x00},{0x3b,0xff,0x00},{0x3d,0xff,0x00},{0x40,0xff,0x00},
      {0x42,0xff,0x00},{0x43,0xff,0x00},{0x46,0xff,0x00},{0x48,0xff,0x00},
      {0x4a,0xff,0x00},{0x4c,0xff,0x00},{0x4e,0xff,0x00},{0x50,0xff,0x00},
      {0x52,0xff,0x00},{0x54,0xff,0x00},{0x56,0xff,0x00},{0x58,0xff,0x00},
      {0x5b,0xff,0x00},{0x5c,0xff,0x00},{0x5e,0xff,0x00},{0x61,0xff,0x00},
      {0x63,0xff,0x00},{0x64,0xff,0x00},{0x67,0xff,0x00},{0x69,0xff,0x00},
      {0x6b,0xff,0x00},{0x6d,0xff,0x00},{0x6f,0xff,0x00},{0x71,0xff,0x00},
      {0x73,0xff,0x00},{0x75,0xff,0x00},{0x77,0xff,0x00},{0x7a,0xff,0x00},
      {0x7c,0xff,0x00},{0x7d,0xff,0x00},{0x80,0xff,0x00},{0x82,0xff,0x00},
      {0x84,0xff,0x00},{0x86,0xff,0x00},{0x88,0xff,0x00},{0x8a,0xff,0x00},
      {0x8c,0xff,0x00},{0x8e,0xff,0x00},{0x90,0xff,0x00},{0x93,0xff,0x00},
      {0x94,0xff,0x00},{0x96,0xff,0x00},{0x99,0xff,0x00},{0x9b,0xff,0x00},
      {0x9d,0xff,0x00},{0x9f,0xff,0x00},{0xa1,0xff,0x00},{0xa3,0xff,0x00},
      {0xa5,0xff,0x00},{0xa7,0xff,0x00},{0xa9,0xff,0x00},{0xab,0xff,0x00},
      {0xad,0xff,0x00},{0xaf,0xff,0x00},{0xb2,0xff,0x00},{0xb4,0xff,0x00},
      {0xb5,0xff,0x00},{0xb8,0xff,0x00},{0xba,0xff,0x00},{0xbc,0xff,0x00},
      {0xbe,0xff,0x00},{0xc0,0xff,0x00},{0xc2,0xff,0x00},{0xc4,0xff,0x00},
      {0xc6,0xff,0x00},{0xc8,0xff,0x00},{0xcb,0xff,0x00},{0xcc,0xff,0x00},
      {0xce,0xff,0x00},{0xd1,0xff,0x00},{0xd3,0xff,0x00},{0xd5,0xff,0x00},
      {0xd7,0xff,0x00},{0xd9,0xff,0x00},{0xdb,0xff,0x00},{0xdd,0xff,0x00},
      {0xdf,0xff,0x00},{0xe1,0xff,0x00},{0xe3,0xff,0x00},{0xe5,0xff,0x00},
      {0xe7,0xff,0x00},{0xea,0xff,0x00},{0xec,0xff,0x00},{0xed,0xff,0x00},
      {0xf0,0xff,0x00},{0xf2,0xff,0x00},{0xf4,0xff,0x00},{0xf6,0xff,0x00},
      {0xf8,0xff,0x00},{0xfa,0xff,0x00},{0xfc,0xff,0x00},{0xfe,0xff,0x00},
      {0xff,0xfd,0x00},{0xff,0xfa,0x00},{0xff,0xf9,0x00},{0xff,0xf7,0x00},
      {0xff,0xf4,0x00},{0xff,0xf2,0x00},{0xff,0xf0,0x00},{0xff,0xee,0x00},
      {0xff,0xec,0x00},{0xff,0xea,0x00},{0xff,0xe8,0x00},{0xff,0xe6,0x00},
      {0xff,0xe4,0x00},{0xff,0xe1,0x00},{0xff,0xe0,0x00},{0xff,0xde,0x00},
      {0xff,0xdb,0x00},{0xff,0xd9,0x00},{0xff,0xd8,0x00},{0xff,0xd5,0x00},
      {0xff,0xd3,0x00},{0xff,0xd1,0x00},{0xff,0xcf,0x00},{0xff,0xcd,0x00},
      {0xff,0xcb,0x00},{0xff,0xc9,0x00},{0xff,0xc7,0x00},{0xff,0xc5,0x00},
      {0xff,0xc3,0x00},{0xff,0xc0,0x00},{0xff,0xbf,0x00},{0xff,0xbd,0x00},
      {0xff,0xba,0x00},{0xff,0xb8,0x00},{0xff,0xb7,0x00},{0xff,0xb4,0x00},
      {0xff,0xb2,0x00},{0xff,0xb0,0x00},{0xff,0xae,0x00},{0xff,0xac,0x00},
      {0xff,0xaa,0x00},{0xff,0xa8,0x00},{0xff,0xa6,0x00},{0xff,0xa4,0x00},
      {0xff,0xa1,0x00},{0xff,0x9f,0x00},{0xff,0x9e,0x00},{0xff,0x9b,0x00},
      {0xff,0x99,0x00},{0xff,0x97,0x00},{0xff,0x95,0x00},{0xff,0x93,0x00},
      {0xff,0x91,0x00},{0xff,0x8f,0x00},{0xff,0x8d,0x00},{0xff,0x8b,0x00},
      {0xff,0x88,0x00},{0xff,0x87,0x00},{0xff,0x85,0x00},{0xff,0x82,0x00},
      {0xff,0x80,0x00},{0xff,0x7f,0x00},{0xff,0x7c,0x00},{0xff,0x7a,0x00},
      {0xff,0x78,0x00},{0xff,0x76,0x00},{0xff,0x74,0x00},{0xff,0x72,0x00},
      {0xff,0x70,0x00},{0xff,0x6e,0x00},{0xff,0x6c,0x00},{0xff,0x69,0x00},
      {0xff,0x67,0x00},{0xff,0x66,0x00},{0xff,0x63,0x00},{0xff,0x61,0x00},
      {0xff,0x5f,0x00},{0xff,0x5d,0x00},{0xff,0x5b,0x00},{0xff,0x59,0x00},
      {0xff,0x57,0x00},{0xff,0x55,0x00},{0xff,0x53,0x00},{0xff,0x50,0x00},
      {0xff,0x4f,0x00},{0xff,0x4d,0x00},{0xff,0x4a,0x00},{0xff,0x48,0x00},
      {0xff,0x46,0x00},{0xff,0x44,0x00},{0xff,0x42,0x00},{0xff,0x40,0x00},
      {0xff,0x3e,0x00},{0xff,0x3c,0x00},{0xff,0x3a,0x00},{0xff,0x38,0x00},
      {0xff,0x36,0x00},{0xff,0x34,0x00},{0xff,0x31,0x00},{0xff,0x2f,0x00},
      {0xff,0x2e,0x00},{0xff,0x2b,0x00},{0xff,0x29,0x00},{0xff,0x27,0x00},
      {0xff,0x25,0x00},{0xff,0x23,0x00},{0xff,0x21,0x00},{0xff,0x1f,0x00},
      {0xff,0x1d,0x00},{0xff,0x1b,0x00},{0xff,0x18,0x00},{0xff,0x17,0x00},
      {0xff,0x15,0x00},{0xff,0x12,0x00},{0xff,0x10,0x00},{0xff,0x0e,0x00},
      {0xff,0x0c,0x00},{0xff,0x0a,0x00},{0xff,0x08,0x00},{0xff,0x06,0x00},
      {0xff,0x04,0x00}
    }
  }
} ;

#endif	/* DS9_COLORS_H */
